/** @deprecated Colours should now be imported from the `palette` object */
declare const brand: {
    readonly '100': "#001536";
    readonly '300': "#041F4A";
    readonly '400': "#052962";
    /**
     * Brand theme background colours
     *
     * @deprecated Colours should now be imported from the `palette` object
     */
    readonly '500': "#0077B6";
    readonly '600': "#506991";
    readonly '800': "#C1D8FC";
};
declare const brandAlt: {
    readonly '200': "#F3C100";
    readonly '300': "#FFD900";
    readonly '400': "#FFE500";
};
declare const neutral: {
    readonly '0': "#000000";
    readonly '7': "#121212";
    readonly '10': "#1A1A1A";
    readonly '20': "#333333";
    readonly '38': "#606060";
    readonly '46': "#707070";
    /**
     * Brand theme border colours
     *
     * @deprecated Colours should now be imported from the `palette` object
     */
    readonly '60': "#999999";
    readonly '86': "#DCDCDC";
    readonly '93': "#EDEDED";
    readonly '97': "#F6F6F6";
    readonly '100': "#FFFFFF";
};
declare const error: {
    readonly '400': "#C70000";
    readonly '500': "#FF9081";
};
declare const success: {
    readonly '400': "#22874D";
    readonly '500': "#58D08B";
};
declare const news: {
    readonly '100': "#660505";
    readonly '200': "#8B0000";
    readonly '300': "#AB0613";
    readonly '400': "#C70000";
    readonly '500': "#FF5943";
    readonly '550': "#FF9081";
    readonly '600': "#FFBAC8";
    readonly '800': "#FFF4F2";
};
declare const opinion: {
    readonly '100': "#672005";
    readonly '200': "#8D2700";
    readonly '300': "#C74600";
    readonly '400': "#C74600";
    readonly '450': "#E05E00";
    readonly '500': "#FF7F0F";
    readonly '550': "#FF9941";
    readonly '600': "#F9B376";
    readonly '800': "#FEF9F5";
};
declare const sport: {
    readonly '100': "#003C60";
    readonly '200': "#004E7C";
    readonly '300': "#005689";
    readonly '400': "#0077B6";
    readonly '500': "#00B2FF";
    readonly '600': "#90DCFF";
    readonly '800': "#F1F8FC";
};
declare const culture: {
    readonly '50': "#2B2625";
    readonly '100': "#3E3323";
    readonly '200': "#574835";
    readonly '300': "#6B5840";
    readonly '350': "#866D50";
    readonly '400': "#866D50";
    /**
     * Alternative brand theme background colours
     *
     * @deprecated Colours should now be imported from the `palette` object
     */
    readonly '450': "#A1845C";
    readonly '500': "#EACCA0";
    readonly '600': "#E7D4B9";
    readonly '700': "#EFE8DD";
    readonly '800': "#FBF6EF";
};
declare const lifestyle: {
    readonly '100': "#510043";
    readonly '200': "#650054";
    readonly '300': "#7D0068";
    readonly '400': "#BB3B80";
    readonly '450': "#F37ABC";
    readonly '500': "#FFABDB";
    readonly '600': "#FEC8D3";
    readonly '800': "#FEEEF7";
};
declare const labs: {
    readonly '200': "#0C7A73";
    readonly '300': "#65A897";
    readonly '400': "#69D1CA";
};
declare const specialReport: {
    readonly '100': "#222527";
    readonly '200': "#303538"; /**
     * Brand theme line colours
     *
     * @deprecated Colours should now be imported from the `palette` object
     */
    readonly '300': "#3F464A";
    readonly '400': "#595C5F";
    readonly '450': "#9DA0A2";
    readonly '500': "#ABC2C9";
    readonly '700': "#E4E5E8";
    readonly '800': "#EFF1F2";
};
declare const focus: {
    readonly '400': "#0077B6";
};
/**
 * Default theme background colours
 *
 * @deprecated Colours should now be imported from the `palette` object
 */
declare const background: {
    readonly primary: "#FFFFFF";
    readonly secondary: "#F6F6F6";
    readonly inverse: "#1A1A1A";
    readonly ctaPrimary: "#052962";
    readonly ctaPrimaryHover: "#234B8A";
    readonly ctaSecondary: "#C1D8FC";
    readonly ctaSecondaryHover: "#ACC9F7";
    readonly ctaTertiaryHover: "#E5E5E5";
    readonly input: "#FFFFFF";
    readonly inputChecked: "#0077B6";
};
/**
 * Brand theme background colours
 *
 * @deprecated Colours should now be imported from the `palette` object
 */
declare const brandBackground: {
    readonly primary: "#052962";
    readonly inputChecked: "#FFFFFF";
    readonly ctaPrimary: "#FFFFFF";
    readonly ctaPrimaryHover: "#E0E0E0";
    readonly ctaSecondary: "#506991";
    readonly ctaSecondaryHover: "#234B8A";
    readonly ctaTertiaryHover: "#041F4A";
};
/**
 * Alternative brand theme background colours
 *
 * @deprecated Colours should now be imported from the `palette` object
 */
declare const brandAltBackground: {
    readonly primary: "#FFE500";
    readonly ctaPrimary: "#121212";
    readonly ctaPrimaryHover: "#454545";
    readonly ctaSecondary: "#F3C100";
    readonly ctaSecondaryHover: "#F2AE00";
    readonly ctaTertiaryHover: "#FFD213";
};
/**
 * Default theme border colours
 *
 * @deprecated Colours should now be imported from the `palette` object
 */
declare const border: {
    primary: "#999999";
    secondary: "#DCDCDC";
    success: "#22874D";
    error: "#C70000";
    ctaTertiary: "#052962";
    input: "#999999";
    inputChecked: "#0077B6";
    inputHover: "#0077B6";
    inputActive: "#0077B6";
    focusHalo: "#0077B6";
};
/**
 * Brand theme border colours
 *
 * @deprecated Colours should now be imported from the `palette` object
 */
declare const brandBorder: {
    primary: "#506991";
    secondary: "#506991";
    success: "#58D08B";
    error: "#FF9081";
    ctaTertiary: "#FFFFFF";
    input: "#C1D8FC";
    inputChecked: "#FFFFFF";
    inputHover: "#FFFFFF";
};
/**
 * Alternative brand theme border colours
 *
 * @deprecated Colours should now be imported from the `palette` object
 */
declare const brandAltBorder: {
    ctaTertiary: "#121212";
};
/**
 * Default theme line colours
 *
 * @deprecated Colours should now be imported from the `palette` object
 */
declare const line: {
    primary: "#DCDCDC";
};
/**
 * Brand theme line colours
 *
 * @deprecated Colours should now be imported from the `palette` object
 */
declare const brandLine: {
    primary: "#506991";
};
/**
 * Alternative brand theme line colours
 *
 * @deprecated Colours should now be imported from the `palette` object
 */
declare const brandAltLine: {
    primary: "#121212";
};
/**
 * Default theme text colours
 *
 * @deprecated Colours should now be imported from the `palette` object
 */
declare const text: {
    primary: "#121212";
    supporting: "#707070";
    success: "#22874D";
    error: "#C70000";
    ctaPrimary: "#FFFFFF";
    ctaSecondary: "#052962";
    ctaTertiary: "#052962";
    anchorPrimary: "#0077B6";
    anchorSecondary: "#121212";
    userInput: "#121212";
    inputLabel: "#121212";
    inputError: "#121212";
    inputLabelSupporting: "#707070";
    inputChecked: "#052962";
    inputHover: "#052962";
    groupLabel: "#121212";
    groupLabelSupporting: "#707070";
    newsInverse: "#FF9081";
};
/**
 * Brand theme text colours
 *
 * @deprecated Colours should now be imported from the `palette` object
 */
declare const brandText: {
    primary: "#FFFFFF";
    supporting: "#C1D8FC";
    success: "#58D08B";
    error: "#FF9081";
    ctaPrimary: "#052962";
    ctaSecondary: "#FFFFFF";
    ctaTertiary: "#FFFFFF";
    anchorPrimary: "#FFFFFF";
    anchorPrimaryHover: "#FFE500";
    userInput: "#FFFFFF";
    inputLabel: "#FFFFFF";
    inputLabelSupporting: "#C1D8FC";
};
/**
 * Alternative brand theme text colours
 *
 * @deprecated Colours should now be imported from the `palette` object
 */
declare const brandAltText: {
    primary: "#121212";
    supporting: "#999999";
    ctaPrimary: "#FFFFFF";
    ctaSecondary: "#121212";
    ctaTertiary: "#121212";
    anchorPrimary: "#121212";
};

/**
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const fonts: {
    readonly titlepiece: string;
    readonly headline: string;
    readonly body: string;
    readonly textSans: string;
};
/**
 * @see https://theguardian.design/2a1e5182b/p/0578f1-typography-presets/b/4704a2
 * @see https://www.figma.com/file/OqhZwB5nboFn33iHLYoc6d/%E2%97%90-Typography?type=design&node-id=384%3A3&t=mYsLeX87mBF2Uw8J-1
 *
 * Relative units ensure users can change their user-agent’s font size
 * and having the line height grow accordingly.
 *
 * We meet the Web Consortium Accessibility Guidelines’
 * success criterion for “Text Spacing” (1.4.12) as these values
 * can be overridden by users.
 *
 * @see https://www.w3.org/WAI/WCAG21/Understanding/text-spacing
 *
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const lineHeights: {
    readonly tight: 1.15;
    readonly regular: 1.3;
    readonly loose: 1.4;
};
/**
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const fontWeights: {
    readonly light: 300;
    readonly regular: 400;
    readonly medium: 500;
    readonly bold: 700;
};
/**
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const textSansSizes: {
    readonly xxsmall: 12;
    readonly xsmall: 14;
    readonly small: 15;
    readonly medium: 17;
    readonly large: 20;
    readonly xlarge: 24;
    readonly xxlarge: 28;
    readonly xxxlarge: 34;
};
/**
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const bodySizes: {
    readonly xsmall: 14;
    readonly small: 15;
    readonly medium: 17;
};
/**
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const headlineSizes: {
    readonly xxxsmall: 17;
    readonly xxsmall: 20;
    readonly xsmall: 24;
    readonly small: 28;
    readonly medium: 34;
    readonly large: 42;
    readonly xlarge: 50;
};
/**
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const titlepieceSizes: {
    readonly small: 42;
    readonly medium: 50;
    readonly large: 70;
};
/**
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const remBodySizes: {
    readonly xsmall: number;
    readonly small: number;
    readonly medium: number;
};
/**
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const remTitlepieceSizes: {
    readonly small: number;
    readonly medium: number;
    readonly large: number;
};
/**
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const remHeadlineSizes: {
    readonly xxxsmall: number;
    readonly xxsmall: number;
    readonly xsmall: number;
    readonly small: number;
    readonly medium: number;
    readonly large: number;
    readonly xlarge: number;
};
/**
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const remTextSansSizes: {
    readonly xxsmall: number;
    readonly xsmall: number;
    readonly small: number;
    readonly medium: number;
    readonly large: number;
    readonly xlarge: number;
    readonly xxlarge: number;
    readonly xxxlarge: number;
};

/** @deprecated This type will be removed in a future major release */
type ScaleUnit = 'rem' | 'px';
/** @deprecated This type will be removed in a future major release */
type LineHeight = keyof typeof lineHeights;
/** @deprecated This type will be removed in a future major release */
type FontWeight = 'light' | 'regular' | 'medium' | 'bold';
/** @deprecated This type will be removed in a future major release */
type FontStyle = 'normal' | 'italic';
/** @deprecated This type will be removed in a future major release */
type FontWeightDefinition = {
    hasItalic: boolean;
};
/** @deprecated This type will be removed in a future major release */
type Option<A> = A | null;
/** @deprecated This type will be removed in a future major release */
type TypographyStyles<Unit extends ScaleUnit = ScaleUnit> = {
    fontFamily: string;
    fontSize: Unit extends 'px' ? number : `${number}rem`;
    lineHeight: string | number;
    fontWeight?: (typeof fontWeights)[keyof typeof fontWeights] | FontWeight;
    fontStyle?: 'normal' | 'italic';
    textDecorationThickness?: number;
};
/** @deprecated This type will be removed in a future major release */
type TitlepieceSizes = typeof titlepieceSizes | typeof remTitlepieceSizes;
/** @deprecated This type will be removed in a future major release */
type HeadlineSizes = typeof headlineSizes | typeof remHeadlineSizes;
/** @deprecated This type will be removed in a future major release */
type BodySizes = typeof bodySizes | typeof remBodySizes;
/** @deprecated This type will be removed in a future major release */
type TextSansSizes = typeof textSansSizes | typeof remTextSansSizes;
/** @deprecated This type will be removed in a future major release */
type AvailableSizes = TitlepieceSizes | HeadlineSizes | BodySizes | TextSansSizes;
/** @deprecated This type will be removed in a future major release */
type Categories = {
    titlepiece: TitlepieceSizes;
    headline: HeadlineSizes;
    body: BodySizes;
    textSans: TextSansSizes;
};
/** @deprecated This type will be removed in a future major release */
type Category = keyof Categories;
/** @deprecated This type will be removed in a future major release */
type TypographyConfiguration = {
    lineHeight: LineHeight;
    fontWeight: FontWeight;
    fontStyle: Option<FontStyle>;
    unit: ScaleUnit;
};
/** @deprecated This type will be removed in a future major release */
type FontScaleArgs = Partial<Pick<TypographyConfiguration, 'fontWeight' | 'lineHeight' | 'unit'>> & {
    fontStyle?: FontStyle;
};
/** @deprecated This type will be removed in a future major release */
type FontScaleFunction = (options?: FontScaleArgs) => TypographyStyles;
/** @deprecated This type will be removed in a future major release */
type FontScaleFunctionStr = (options?: FontScaleArgs) => string;
/** @deprecated This type will be removed in a future major release */
type TypographyStrFunctions<Sizes extends AvailableSizes> = {
    [key in keyof Sizes]: FontScaleFunctionStr;
};
/** @deprecated This type will be removed in a future major release */
type TypographyFunctions<Sizes extends AvailableSizes> = {
    [key in keyof Sizes]: FontScaleFunction;
};
/**
 * This is left over from the refactor of the font style method.
 * It is exported from source-foundations but has now been replaced
 * by the fontStyleFunction method type definition.
 *
 * Before we remove it, we need to determine if it is being used.
 *
 * @deprecated This type will be removed in a future major release
 */
type Fs = <Category extends keyof Categories, Level extends keyof Categories[Category]>(category: Category) => (level: Level, { lineHeight, fontWeight, fontStyle, unit, }: {
    lineHeight: LineHeight;
    fontWeight: FontWeight;
    fontStyle: Option<FontStyle>;
    unit: ScaleUnit;
}) => TypographyStyles;
/** @deprecated This type will be removed in a future major release */
type TypographySizes = {
    [key in string]: number;
};

/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_typography--titlepiece) •
 * [Design System](https://theguardian.design/2a1e5182b/p/602314-typography/t/358767)
 *
 * ```
 * font-family: 'GT Guardian Titlepiece';
 * ```
 *
 * @deprecated Use web typography presets instead
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const titlepiece: TypographyStrFunctions<TitlepieceSizes>;
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_typography--headline) •
 * [Design System](https://theguardian.design/2a1e5182b/p/602314-typography/t/7310bd)
 *
 * ```
 * font-family: 'GH Guardian Headline';
 * ```
 *
 * @deprecated Use web typography presets instead
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const headline: TypographyStrFunctions<HeadlineSizes>;
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_typography--body) •
 * [Design System](https://theguardian.design/2a1e5182b/p/602314-typography/t/88cd8e)
 *
 * ```
 * font-family: 'GuardianTextEgyptian';
 * ```
 *
 * @deprecated Use web typography presets instead
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const body: TypographyStrFunctions<BodySizes>;
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_typography--text-sans) •
 * [Design System](https://theguardian.design/2a1e5182b/p/602314-typography/t/076605)
 *
 * ```
 * font-family: 'GuardianTextSans';
 * ```
 *
 * @deprecated Use web typography presets instead
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const textSans: TypographyStrFunctions<TextSansSizes>;

/**
 * @deprecated Use web typography presets instead
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const titlepieceObjectStyles: TypographyFunctions<TitlepieceSizes>;
/**
 * @deprecated Use web typography presets instead
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const headlineObjectStyles: TypographyFunctions<HeadlineSizes>;
/**
 * @deprecated Use web typography presets instead
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const bodyObjectStyles: TypographyFunctions<BodySizes>;
/**
 * @deprecated Use web typography presets instead
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const textSansObjectStyles: TypographyFunctions<TextSansSizes>;

/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_descriptionid--page)
 *
 * Takes the ID of an element and generates a new ID. This should be set as the ID of an element that describes the first element. The generated ID should also be passed to the `aria-describedby` attribute on the first element.
 *
 * @param {string} id - ID of an element
 * @returns {string} ID of an element that describes the first element
 *
 * @example
 *		<form>
 *			<input id={id} type="text" aria-describedby={descriptionId(id)} />
 *			<p class="error" id={descriptionId(id)} />
 *		</form>
 */
declare const descriptionId: (id: string) => string;

/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_focushalo--page)
 *
 * CSS rules that provide a clear visual focus state to support keyboard navigation.
 */
declare const focusHalo: string;
declare const focusHaloSpaced: string;

declare const generateSourceId: () => string;

/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_visuallyhidden--page)
 *
 * CSS rules that hide something from sight while still being available to screen readers.
 *
 * @see https://webaim.org/techniques/css/invisiblecontent/
 * @see https://medium.com/@jessebeach/beware-smushed-off-screen-accessible-text-5952a4c2cbfe
 * @see https://www.scottohara.me/blog/2017/04/14/inclusively-hidden.html
 */
declare const visuallyHidden = "\n\tposition: absolute;\n\toverflow: hidden; /* gets rid of horizontal scrollbar that appears in some circumstances */\n\twhite-space: nowrap; /* The white-space property forces the content to render on one line. */\n\twidth: 1px;  /* ensures content is announced by VoiceOver. */\n\theight: 1px; /* ensures content is announced by VoiceOver. */\n\tmargin: -1px; /* hide or clip content that does not fit into a 1-pixel visible area. */\n\tpadding: 0; /* hide or clip content that does not fit into a 1-pixel visible area. */\n\tborder: 0;\n\tclip: rect(1px, 1px, 1px, 1px); /* clip removes any visible trace of the element */\n\t-webkit-clip-path: inset(50%); /* clip removes any visible trace of the element */\n\tclip-path: inset(50%); /* clip removes any visible trace of the element */\n";

declare const transitions: {
    short: string;
    medium: string;
    long: string;
};

type Breakpoint = 'mobile' | 'mobileMedium' | 'mobileLandscape' | 'phablet' | 'tablet' | 'desktop' | 'leftCol' | 'wide';
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_media-queries--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/41be19-grids)
 */
declare const breakpoints: {
    readonly mobile: 320;
    readonly mobileMedium: 375;
    readonly mobileLandscape: 480;
    readonly phablet: 660;
    readonly tablet: 740;
    readonly desktop: 980;
    readonly leftCol: 1140;
    readonly wide: 1300;
};

type BreakpointMap = {
    [key in Breakpoint]: string;
};
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_media-queries--page#from)
 *
 * @example
 *	const styles = css`
 *		${from.mobileLandscape} {
 *			padding: 0 20px;
 *		}
 * `;
 */
declare const from: BreakpointMap;
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_media-queries--page#until)
 *
 * @example
 *	const styles = css`
 *		${until.wide} {
 *			padding: 0 40px;
 *		}
 * `;
 */
declare const until: BreakpointMap;
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_media-queries--page#betweenand)
 *
 * @example
 *	const styles = css`
 *		${between.phablet.and.desktop} {
 *			padding: 0 32px;
 *		}
 * `;
 */
declare const between: {
    mobile: {
        and: {
            mobileMedium: string;
            mobileLandscape: string;
            phablet: string;
            tablet: string;
            desktop: string;
            leftCol: string;
            wide: string;
        };
    };
    mobileMedium: {
        and: {
            mobileLandscape: string;
            phablet: string;
            tablet: string;
            desktop: string;
            leftCol: string;
            wide: string;
        };
    };
    mobileLandscape: {
        and: {
            phablet: string;
            tablet: string;
            desktop: string;
            leftCol: string;
            wide: string;
        };
    };
    phablet: {
        and: {
            tablet: string;
            desktop: string;
            leftCol: string;
            wide: string;
        };
    };
    tablet: {
        and: {
            desktop: string;
            leftCol: string;
            wide: string;
        };
    };
    desktop: {
        and: {
            leftCol: string;
            wide: string;
        };
    };
    leftCol: {
        and: {
            wide: string;
        };
    };
};

/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_palette--palette) •
 * [Design System](https://theguardian.design/2a1e5182b/p/492a30-light-palette)
 *
 * Colour palette organised by type e.g. 'error', or pillar e.g. 'opinion'
 */
declare const palette: {
    readonly brand: {
        readonly '100': "#001536";
        readonly '300': "#041F4A";
        readonly '400': "#052962";
        readonly '500': "#0077B6";
        readonly '600': "#506991";
        readonly '800': "#C1D8FC";
    };
    readonly brandAlt: {
        readonly '200': "#F3C100";
        readonly '300': "#FFD900";
        readonly '400': "#FFE500";
    };
    readonly neutral: {
        readonly '0': "#000000";
        readonly '7': "#121212";
        readonly '10': "#1A1A1A";
        readonly '20': "#333333";
        readonly '38': "#606060";
        readonly '46': "#707070";
        readonly '60': "#999999";
        readonly '86': "#DCDCDC";
        readonly '93': "#EDEDED";
        readonly '97': "#F6F6F6";
        readonly '100': "#FFFFFF";
    };
    readonly error: {
        readonly '400': "#C70000";
        readonly '500': "#FF9081";
    };
    readonly success: {
        readonly '400': "#22874D";
        readonly '500': "#58D08B";
    };
    readonly news: {
        readonly '100': "#660505";
        readonly '200': "#8B0000";
        readonly '300': "#AB0613";
        readonly '400': "#C70000";
        readonly '500': "#FF5943";
        readonly '550': "#FF9081";
        readonly '600': "#FFBAC8";
        readonly '800': "#FFF4F2";
    };
    readonly opinion: {
        readonly '100': "#672005";
        readonly '200': "#8D2700";
        readonly '300': "#C74600";
        readonly '400': "#C74600";
        readonly '450': "#E05E00";
        readonly '500': "#FF7F0F";
        readonly '550': "#FF9941";
        readonly '600': "#F9B376";
        readonly '800': "#FEF9F5";
    };
    readonly sport: {
        readonly '100': "#003C60";
        readonly '200': "#004E7C";
        readonly '300': "#005689";
        readonly '400': "#0077B6";
        readonly '500': "#00B2FF";
        readonly '600': "#90DCFF";
        readonly '800': "#F1F8FC";
    };
    readonly culture: {
        readonly '50': "#2B2625";
        readonly '100': "#3E3323";
        readonly '200': "#574835";
        readonly '300': "#6B5840";
        readonly '350': "#866D50";
        readonly '400': "#866D50";
        readonly '450': "#A1845C";
        readonly '500': "#EACCA0";
        readonly '600': "#E7D4B9";
        readonly '700': "#EFE8DD";
        readonly '800': "#FBF6EF";
    };
    readonly lifestyle: {
        readonly '100': "#510043";
        readonly '200': "#650054";
        readonly '300': "#7D0068";
        readonly '400': "#BB3B80";
        readonly '450': "#F37ABC";
        readonly '500': "#FFABDB";
        readonly '600': "#FEC8D3";
        readonly '800': "#FEEEF7";
    };
    readonly labs: {
        readonly '200': "#0C7A73";
        readonly '300': "#65A897";
        readonly '400': "#69D1CA";
    };
    readonly specialReport: {
        readonly '100': "#222527";
        readonly '200': "#303538";
        readonly '300': "#3F464A";
        readonly '400': "#595C5F";
        readonly '450': "#9DA0A2";
        readonly '500': "#ABC2C9";
        readonly '700': "#E4E5E8";
        readonly '800': "#EFF1F2";
    };
    readonly specialReportAlt: {
        readonly '100': "#2B2B2A";
        readonly '200': "#B9300A";
        readonly '300': "#FF663D";
        readonly '700': "#EBE6E1";
        readonly '800': "#F5F0EB";
    };
    readonly focus: {
        readonly '400': "#0077B6";
    };
};

/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_size--page#global-size-values) •
 * [Design System](https://theguardian.design/2a1e5182b/p/24a3ec-size/t/329aef)
 *
 * May be used for call to action buttons and user input fields.
 */
declare const size: {
    readonly xsmall: 24;
    readonly small: 36;
    readonly medium: 44;
};
declare const iconSize: {
    readonly xsmall: 20;
    readonly small: 26;
    readonly medium: 30;
};
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_size--page#tokens) •
 * [Design System](https://theguardian.design/2a1e5182b/p/24a3ec-size/t/329aef)
 *
 * Height tokens expressed in px
 *
 ** `height.ctaMedium`: call to action buttons and links
 ** `height.ctaSmall`: secondary calls to action
 ** `height.ctaXsmall`: calls to action where there is very limited space
 ** `height.inputMedium`: text input fields, radio and checkbox labels
 ** `height.inputXsmall`: checkables such as checkboxes or radio buttons
 ** `height.iconMedium`
 ** `height.iconSmall`
 ** `height.iconXsmall`
 */
declare const height: {
    ctaMedium: 44;
    ctaSmall: 36;
    ctaXsmall: 24;
    inputMedium: 44;
    inputXsmall: 24;
    iconMedium: 30;
    iconSmall: 26;
    iconXsmall: 20;
};
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_size--page#tokens) •
 * [Design System](https://theguardian.design/2a1e5182b/p/24a3ec-size/t/329aef)
 *
 * Height tokens expressed in rem
 *
 ** `remHeight.ctaMedium`: call to action buttons and links
 ** `remHeight.ctaSmall`: secondary calls to action
 ** `remHeight.ctaXsmall`: calls to action where there is very limited space
 ** `remHeight.inputMedium`: text input fields, radio and checkbox labels
 ** `remHeight.inputXsmall`: checkables such as checkboxes or radio buttons
 ** `remHeight.iconMedium`
 ** `remHeight.iconSmall`
 ** `remHeight.iconXsmall`
 */
declare const remHeight: {
    ctaMedium: number;
    ctaSmall: number;
    ctaXsmall: number;
    inputMedium: number;
    inputXsmall: number;
    iconMedium: number;
    iconSmall: number;
    iconXsmall: number;
};
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_size--page#tokens) •
 * [Design System](https://theguardian.design/2a1e5182b/p/00ddcb-tokens/t/797660)
 *
 * Width tokens expressed in px
 *
 ** `width.ctaMedium`: medium height call to action buttons and links
 ** `width.ctaSmall`: small height call to action buttons and links
 ** `width.ctaXsmall`: xsmall height call to action buttons and links
 ** `width.inputMedium`: text input fields, radio and checkbox labels
 ** `width.inputXsmall`: checkables such as checkboxes or radio buttons
 ** `width.inputMedium`
 ** `width.inputXsmall`: checkables such as checkboxes or radio buttons
 ** `width.iconMedium`
 ** `width.iconSmall`
 ** `width.iconXsmall`
 */
declare const width: {
    ctaMedium: 44;
    ctaSmall: 36;
    ctaXsmall: 24;
    inputXsmall: 24;
    iconMedium: 30;
    iconSmall: 26;
    iconXsmall: 20;
};
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_size--page#tokens) •
 * [Design System](https://theguardian.design/2a1e5182b/p/00ddcb-tokens/t/797660)
 *
 * Width tokens expressed in rem
 *
 ** `remWidth.ctaMedium`: medium height call to action buttons and links
 ** `remWidth.ctaSmall`: small height call to action buttons and links
 ** `remWidth.ctaXsmall`: xsmall height call to action buttons and links
 ** `remWidth.inputMedium`: text input fields, radio and checkbox labels
 ** `remWidth.inputXsmall`: checkables such as checkboxes or radio buttons
 ** `remWidth.inputMedium`
 ** `remWidth.inputXsmall`: checkables such as checkboxes or radio buttons
 ** `remWidth.iconMedium`
 ** `remWidth.iconSmall`
 ** `remWidth.iconXsmall`
 */
declare const remWidth: {
    ctaMedium: number;
    ctaSmall: number;
    ctaXsmall: number;
    inputXsmall: number;
    iconMedium: number;
    iconSmall: number;
    iconXsmall: number;
};

/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_space--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/05f835-space)
 *
 * Can be applied to margin or padding properties, vertically or horizontally.
 *
 */
declare const space: {
    readonly 0: 2;
    readonly 1: 4;
    readonly 2: 8;
    readonly 3: 12;
    readonly 4: 16;
    readonly 5: 20;
    readonly 6: 24;
    readonly 8: 32;
    readonly 9: 36;
    readonly 10: 40;
    readonly 12: 48;
    readonly 14: 56;
    readonly 16: 64;
    readonly 18: 72;
    readonly 24: 96;
};
declare const remSpace: {
    [K in keyof typeof space]: string;
};

declare const article15 = "\n\tfont-family: GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif;\n\tfont-size: 0.9375rem;\n\tline-height: 1.4;\n\tfont-weight: 400;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const article17 = "\n\tfont-family: GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif;\n\tfont-size: 1.0625rem;\n\tline-height: 1.4;\n\tfont-weight: 400;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const articleBold15 = "\n\tfont-family: GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif;\n\tfont-size: 0.9375rem;\n\tline-height: 1.4;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const articleBold17 = "\n\tfont-family: GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif;\n\tfont-size: 1.0625rem;\n\tline-height: 1.4;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const articleBoldItalic15 = "\n\tfont-family: GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif;\n\tfont-size: 0.9375rem;\n\tline-height: 1.4;\n\tfont-weight: 700;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 2px;\n";
declare const articleBoldItalic17 = "\n\tfont-family: GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif;\n\tfont-size: 1.0625rem;\n\tline-height: 1.4;\n\tfont-weight: 700;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 2px;\n";
declare const articleItalic15 = "\n\tfont-family: GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif;\n\tfont-size: 0.9375rem;\n\tline-height: 1.4;\n\tfont-weight: 400;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 2px;\n";
declare const articleItalic17 = "\n\tfont-family: GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif;\n\tfont-size: 1.0625rem;\n\tline-height: 1.4;\n\tfont-weight: 400;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 2px;\n";
declare const headlineBold14 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 0.875rem;\n\tline-height: 1.15;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const headlineBold17 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 1.0625rem;\n\tline-height: 1.15;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const headlineBold20 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 1.25rem;\n\tline-height: 1.15;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 3px;\n";
declare const headlineBold24 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 1.5rem;\n\tline-height: 1.15;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 3px;\n";
declare const headlineBold28 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 1.75rem;\n\tline-height: 1.15;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 3px;\n";
declare const headlineBold34 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 2.125rem;\n\tline-height: 1.15;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 4px;\n";
declare const headlineBold42 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 2.625rem;\n\tline-height: 1.15;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 5px;\n";
declare const headlineBold50 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 3.125rem;\n\tline-height: 1.15;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 6px;\n";
declare const headlineBold70 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 4.375rem;\n\tline-height: 1.15;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 6px;\n";
declare const headlineLight14 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 0.875rem;\n\tline-height: 1.15;\n\tfont-weight: 300;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const headlineLight17 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 1.0625rem;\n\tline-height: 1.15;\n\tfont-weight: 300;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const headlineLight20 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 1.25rem;\n\tline-height: 1.15;\n\tfont-weight: 300;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 3px;\n";
declare const headlineLight24 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 1.5rem;\n\tline-height: 1.15;\n\tfont-weight: 300;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 3px;\n";
declare const headlineLight28 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 1.75rem;\n\tline-height: 1.15;\n\tfont-weight: 300;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 3px;\n";
declare const headlineLight34 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 2.125rem;\n\tline-height: 1.15;\n\tfont-weight: 300;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 4px;\n";
declare const headlineLight42 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 2.625rem;\n\tline-height: 1.15;\n\tfont-weight: 300;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 5px;\n";
declare const headlineLight50 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 3.125rem;\n\tline-height: 1.15;\n\tfont-weight: 300;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 6px;\n";
declare const headlineLight70 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 4.375rem;\n\tline-height: 1.15;\n\tfont-weight: 300;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 6px;\n";
declare const headlineLightItalic14 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 0.875rem;\n\tline-height: 1.15;\n\tfont-weight: 300;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 2px;\n";
declare const headlineLightItalic17 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 1.0625rem;\n\tline-height: 1.15;\n\tfont-weight: 300;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 2px;\n";
declare const headlineLightItalic20 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 1.25rem;\n\tline-height: 1.15;\n\tfont-weight: 300;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 3px;\n";
declare const headlineLightItalic24 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 1.5rem;\n\tline-height: 1.15;\n\tfont-weight: 300;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 3px;\n";
declare const headlineLightItalic28 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 1.75rem;\n\tline-height: 1.15;\n\tfont-weight: 300;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 3px;\n";
declare const headlineLightItalic34 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 2.125rem;\n\tline-height: 1.15;\n\tfont-weight: 300;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 4px;\n";
declare const headlineLightItalic42 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 2.625rem;\n\tline-height: 1.15;\n\tfont-weight: 300;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 5px;\n";
declare const headlineLightItalic50 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 3.125rem;\n\tline-height: 1.15;\n\tfont-weight: 300;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 6px;\n";
declare const headlineLightItalic70 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 4.375rem;\n\tline-height: 1.15;\n\tfont-weight: 300;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 6px;\n";
declare const headlineMedium14 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 0.875rem;\n\tline-height: 1.15;\n\tfont-weight: 500;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const headlineMedium17 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 1.0625rem;\n\tline-height: 1.15;\n\tfont-weight: 500;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const headlineMedium20 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 1.25rem;\n\tline-height: 1.15;\n\tfont-weight: 500;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 3px;\n";
declare const headlineMedium24 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 1.5rem;\n\tline-height: 1.15;\n\tfont-weight: 500;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 3px;\n";
declare const headlineMedium28 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 1.75rem;\n\tline-height: 1.15;\n\tfont-weight: 500;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 3px;\n";
declare const headlineMedium34 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 2.125rem;\n\tline-height: 1.15;\n\tfont-weight: 500;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 4px;\n";
declare const headlineMedium42 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 2.625rem;\n\tline-height: 1.15;\n\tfont-weight: 500;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 5px;\n";
declare const headlineMedium50 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 3.125rem;\n\tline-height: 1.15;\n\tfont-weight: 500;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 6px;\n";
declare const headlineMedium70 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 4.375rem;\n\tline-height: 1.15;\n\tfont-weight: 500;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 6px;\n";
declare const headlineMediumItalic14 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 0.875rem;\n\tline-height: 1.15;\n\tfont-weight: 500;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 2px;\n";
declare const headlineMediumItalic17 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 1.0625rem;\n\tline-height: 1.15;\n\tfont-weight: 500;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 2px;\n";
declare const headlineMediumItalic20 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 1.25rem;\n\tline-height: 1.15;\n\tfont-weight: 500;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 3px;\n";
declare const headlineMediumItalic24 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 1.5rem;\n\tline-height: 1.15;\n\tfont-weight: 500;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 3px;\n";
declare const headlineMediumItalic28 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 1.75rem;\n\tline-height: 1.15;\n\tfont-weight: 500;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 3px;\n";
declare const headlineMediumItalic34 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 2.125rem;\n\tline-height: 1.15;\n\tfont-weight: 500;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 4px;\n";
declare const headlineMediumItalic42 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 2.625rem;\n\tline-height: 1.15;\n\tfont-weight: 500;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 5px;\n";
declare const headlineMediumItalic50 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 3.125rem;\n\tline-height: 1.15;\n\tfont-weight: 500;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 6px;\n";
declare const headlineMediumItalic70 = "\n\tfont-family: \"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif;\n\tfont-size: 4.375rem;\n\tline-height: 1.15;\n\tfont-weight: 700;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 6px;\n";
declare const textEgyptian14 = "\n\tfont-family: GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif;\n\tfont-size: 0.875rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textEgyptian15 = "\n\tfont-family: GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif;\n\tfont-size: 0.9375rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textEgyptian17 = "\n\tfont-family: GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif;\n\tfont-size: 1.0625rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textEgyptianBold14 = "\n\tfont-family: GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif;\n\tfont-size: 0.875rem;\n\tline-height: 1.3;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textEgyptianBold15 = "\n\tfont-family: GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif;\n\tfont-size: 0.9375rem;\n\tline-height: 1.3;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textEgyptianBold17 = "\n\tfont-family: GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif;\n\tfont-size: 1.0625rem;\n\tline-height: 1.3;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textEgyptianBoldItalic14 = "\n\tfont-family: GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif;\n\tfont-size: 0.875rem;\n\tline-height: 1.3;\n\tfont-weight: 700;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textEgyptianBoldItalic15 = "\n\tfont-family: GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif;\n\tfont-size: 0.9375rem;\n\tline-height: 1.3;\n\tfont-weight: 700;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textEgyptianBoldItalic17 = "\n\tfont-family: GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif;\n\tfont-size: 1.0625rem;\n\tline-height: 1.3;\n\tfont-weight: 700;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textEgyptianItalic14 = "\n\tfont-family: GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif;\n\tfont-size: 0.875rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textEgyptianItalic15 = "\n\tfont-family: GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif;\n\tfont-size: 0.9375rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textEgyptianItalic17 = "\n\tfont-family: GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif;\n\tfont-size: 1.0625rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textSans12 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 0.75rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textSans14 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 0.875rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textSans15 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 0.9375rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textSans17 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 1.0625rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textSans20 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 1.25rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 3px;\n";
declare const textSans24 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 1.5rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 3px;\n";
declare const textSans28 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 1.75rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 3px;\n";
declare const textSans34 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 2.125rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 4px;\n";
declare const textSansBold12 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 0.75rem;\n\tline-height: 1.3;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textSansBold14 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 0.875rem;\n\tline-height: 1.3;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textSansBold15 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 0.9375rem;\n\tline-height: 1.3;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textSansBold17 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 1.0625rem;\n\tline-height: 1.3;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textSansBold20 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 1.25rem;\n\tline-height: 1.3;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 3px;\n";
declare const textSansBold24 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 1.5rem;\n\tline-height: 1.3;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 3px;\n";
declare const textSansBold28 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 1.75rem;\n\tline-height: 1.3;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 3px;\n";
declare const textSansBold34 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 2.125rem;\n\tline-height: 1.3;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 4px;\n";
declare const textSansItalic12 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 0.75rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textSansItalic14 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 0.875rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textSansItalic15 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 0.9375rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textSansItalic17 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 1.0625rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 2px;\n";
declare const textSansItalic20 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 1.25rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 3px;\n";
declare const textSansItalic24 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 1.5rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 3px;\n";
declare const textSansItalic28 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 1.75rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 3px;\n";
declare const textSansItalic34 = "\n\tfont-family: GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif;\n\tfont-size: 2.125rem;\n\tline-height: 1.3;\n\tfont-weight: 400;\n\tfont-style: italic;\n\t--source-text-decoration-thickness: 4px;\n";
declare const titlepiece42 = "\n\tfont-family: \"GT Guardian Titlepiece\", Georgia, serif;\n\tfont-size: 2.625rem;\n\tline-height: 1.15;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 5px;\n";
declare const titlepiece50 = "\n\tfont-family: \"GT Guardian Titlepiece\", Georgia, serif;\n\tfont-size: 3.125rem;\n\tline-height: 1.15;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 6px;\n";
declare const titlepiece70 = "\n\tfont-family: \"GT Guardian Titlepiece\", Georgia, serif;\n\tfont-size: 4.375rem;\n\tline-height: 1.15;\n\tfont-weight: 700;\n\tfont-style: normal;\n\t--source-text-decoration-thickness: 6px;\n";

declare const article15Object: {
    readonly fontFamily: "GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif";
    readonly fontSize: "0.9375rem";
    readonly lineHeight: 1.4;
    readonly fontWeight: 400;
    readonly fontStyle: "normal";
};
declare const article17Object: {
    readonly fontFamily: "GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.0625rem";
    readonly lineHeight: 1.4;
    readonly fontWeight: 400;
    readonly fontStyle: "normal";
};
declare const articleBold15Object: {
    readonly fontFamily: "GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif";
    readonly fontSize: "0.9375rem";
    readonly lineHeight: 1.4;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const articleBold17Object: {
    readonly fontFamily: "GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.0625rem";
    readonly lineHeight: 1.4;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const articleBoldItalic15Object: {
    readonly fontFamily: "GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif";
    readonly fontSize: "0.9375rem";
    readonly lineHeight: 1.4;
    readonly fontWeight: 700;
    readonly fontStyle: "italic";
};
declare const articleBoldItalic17Object: {
    readonly fontFamily: "GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.0625rem";
    readonly lineHeight: 1.4;
    readonly fontWeight: 700;
    readonly fontStyle: "italic";
};
declare const articleItalic15Object: {
    readonly fontFamily: "GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif";
    readonly fontSize: "0.9375rem";
    readonly lineHeight: 1.4;
    readonly fontWeight: 400;
    readonly fontStyle: "italic";
};
declare const articleItalic17Object: {
    readonly fontFamily: "GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.0625rem";
    readonly lineHeight: 1.4;
    readonly fontWeight: 400;
    readonly fontStyle: "italic";
};
declare const headlineBold14Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "0.875rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const headlineBold17Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.0625rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const headlineBold20Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.25rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const headlineBold24Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.5rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const headlineBold28Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.75rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const headlineBold34Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "2.125rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const headlineBold42Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "2.625rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const headlineBold50Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "3.125rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const headlineBold70Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "4.375rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const headlineLight14Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "0.875rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 300;
    readonly fontStyle: "normal";
};
declare const headlineLight17Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.0625rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 300;
    readonly fontStyle: "normal";
};
declare const headlineLight20Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.25rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 300;
    readonly fontStyle: "normal";
};
declare const headlineLight24Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.5rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 300;
    readonly fontStyle: "normal";
};
declare const headlineLight28Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.75rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 300;
    readonly fontStyle: "normal";
};
declare const headlineLight34Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "2.125rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 300;
    readonly fontStyle: "normal";
};
declare const headlineLight42Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "2.625rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 300;
    readonly fontStyle: "normal";
};
declare const headlineLight50Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "3.125rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 300;
    readonly fontStyle: "normal";
};
declare const headlineLight70Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "4.375rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 300;
    readonly fontStyle: "normal";
};
declare const headlineLightItalic14Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "0.875rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 300;
    readonly fontStyle: "italic";
};
declare const headlineLightItalic17Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.0625rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 300;
    readonly fontStyle: "italic";
};
declare const headlineLightItalic20Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.25rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 300;
    readonly fontStyle: "italic";
};
declare const headlineLightItalic24Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.5rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 300;
    readonly fontStyle: "italic";
};
declare const headlineLightItalic28Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.75rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 300;
    readonly fontStyle: "italic";
};
declare const headlineLightItalic34Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "2.125rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 300;
    readonly fontStyle: "italic";
};
declare const headlineLightItalic42Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "2.625rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 300;
    readonly fontStyle: "italic";
};
declare const headlineLightItalic50Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "3.125rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 300;
    readonly fontStyle: "italic";
};
declare const headlineLightItalic70Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "4.375rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 300;
    readonly fontStyle: "italic";
};
declare const headlineMedium14Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "0.875rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 500;
    readonly fontStyle: "normal";
};
declare const headlineMedium17Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.0625rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 500;
    readonly fontStyle: "normal";
};
declare const headlineMedium20Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.25rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 500;
    readonly fontStyle: "normal";
};
declare const headlineMedium24Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.5rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 500;
    readonly fontStyle: "normal";
};
declare const headlineMedium28Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.75rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 500;
    readonly fontStyle: "normal";
};
declare const headlineMedium34Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "2.125rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 500;
    readonly fontStyle: "normal";
};
declare const headlineMedium42Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "2.625rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 500;
    readonly fontStyle: "normal";
};
declare const headlineMedium50Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "3.125rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 500;
    readonly fontStyle: "normal";
};
declare const headlineMedium70Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "4.375rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 500;
    readonly fontStyle: "normal";
};
declare const headlineMediumItalic14Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "0.875rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 500;
    readonly fontStyle: "italic";
};
declare const headlineMediumItalic17Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.0625rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 500;
    readonly fontStyle: "italic";
};
declare const headlineMediumItalic20Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.25rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 500;
    readonly fontStyle: "italic";
};
declare const headlineMediumItalic24Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.5rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 500;
    readonly fontStyle: "italic";
};
declare const headlineMediumItalic28Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.75rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 500;
    readonly fontStyle: "italic";
};
declare const headlineMediumItalic34Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "2.125rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 500;
    readonly fontStyle: "italic";
};
declare const headlineMediumItalic42Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "2.625rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 500;
    readonly fontStyle: "italic";
};
declare const headlineMediumItalic50Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "3.125rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 500;
    readonly fontStyle: "italic";
};
declare const headlineMediumItalic70Object: {
    readonly fontFamily: "\"GH Guardian Headline\", \"Guardian Egyptian Web\", Georgia, serif";
    readonly fontSize: "4.375rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 700;
    readonly fontStyle: "italic";
};
declare const textEgyptian14Object: {
    readonly fontFamily: "GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif";
    readonly fontSize: "0.875rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "normal";
};
declare const textEgyptian15Object: {
    readonly fontFamily: "GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif";
    readonly fontSize: "0.9375rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "normal";
};
declare const textEgyptian17Object: {
    readonly fontFamily: "GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.0625rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "normal";
};
declare const textEgyptianBold14Object: {
    readonly fontFamily: "GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif";
    readonly fontSize: "0.875rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const textEgyptianBold15Object: {
    readonly fontFamily: "GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif";
    readonly fontSize: "0.9375rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const textEgyptianBold17Object: {
    readonly fontFamily: "GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.0625rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const textEgyptianBoldItalic14Object: {
    readonly fontFamily: "GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif";
    readonly fontSize: "0.875rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 700;
    readonly fontStyle: "italic";
};
declare const textEgyptianBoldItalic15Object: {
    readonly fontFamily: "GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif";
    readonly fontSize: "0.9375rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 700;
    readonly fontStyle: "italic";
};
declare const textEgyptianBoldItalic17Object: {
    readonly fontFamily: "GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.0625rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 700;
    readonly fontStyle: "italic";
};
declare const textEgyptianItalic14Object: {
    readonly fontFamily: "GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif";
    readonly fontSize: "0.875rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "italic";
};
declare const textEgyptianItalic15Object: {
    readonly fontFamily: "GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif";
    readonly fontSize: "0.9375rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "italic";
};
declare const textEgyptianItalic17Object: {
    readonly fontFamily: "GuardianTextEgyptian, \"Guardian Text Egyptian Web\", Georgia, serif";
    readonly fontSize: "1.0625rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "italic";
};
declare const textSans12Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "0.75rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "normal";
};
declare const textSans14Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "0.875rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "normal";
};
declare const textSans15Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "0.9375rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "normal";
};
declare const textSans17Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "1.0625rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "normal";
};
declare const textSans20Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "1.25rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "normal";
};
declare const textSans24Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "1.5rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "normal";
};
declare const textSans28Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "1.75rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "normal";
};
declare const textSans34Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "2.125rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "normal";
};
declare const textSansBold12Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "0.75rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const textSansBold14Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "0.875rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const textSansBold15Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "0.9375rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const textSansBold17Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "1.0625rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const textSansBold20Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "1.25rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const textSansBold24Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "1.5rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const textSansBold28Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "1.75rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const textSansBold34Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "2.125rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const textSansItalic12Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "0.75rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "italic";
};
declare const textSansItalic14Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "0.875rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "italic";
};
declare const textSansItalic15Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "0.9375rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "italic";
};
declare const textSansItalic17Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "1.0625rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "italic";
};
declare const textSansItalic20Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "1.25rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "italic";
};
declare const textSansItalic24Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "1.5rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "italic";
};
declare const textSansItalic28Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "1.75rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "italic";
};
declare const textSansItalic34Object: {
    readonly fontFamily: "GuardianTextSans, \"Guardian Text Sans Web\", \"Helvetica Neue\", Helvetica, Arial, \"Lucida Grande\", sans-serif";
    readonly fontSize: "2.125rem";
    readonly lineHeight: 1.3;
    readonly fontWeight: 400;
    readonly fontStyle: "italic";
};
declare const titlepiece42Object: {
    readonly fontFamily: "\"GT Guardian Titlepiece\", Georgia, serif";
    readonly fontSize: "2.625rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const titlepiece50Object: {
    readonly fontFamily: "\"GT Guardian Titlepiece\", Georgia, serif";
    readonly fontSize: "3.125rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};
declare const titlepiece70Object: {
    readonly fontFamily: "\"GT Guardian Titlepiece\", Georgia, serif";
    readonly fontSize: "4.375rem";
    readonly lineHeight: 1.15;
    readonly fontWeight: 700;
    readonly fontStyle: "normal";
};

declare const appearance = "(appearance: none) or (-webkit-appearance: none) or (-moz-appearance: none)";

declare const FocusStyleManager: {
    alwaysShowFocus: () => void;
    isActive: () => boolean;
    onlyShowFocusOnTabs: () => void;
};

declare const rootPixelFontSize = 16;
declare const pxToRem: (px: number) => number;

/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_css-reset--docs)
 *
 * `resets.resetCSS`: sensible default CSS rules to provide a base for a consistent environment across projects and browsers.
 */
declare const resets: {
    legend: string;
    fieldset: string;
    /** @deprecated This will be removed in a future release, as it relies on the Emotion framework */
    input: string;
    defaults: string;
    resetCSS: string;
};

declare const svgBackgroundImage: (svg: string) => string;

export { type BodySizes, type Breakpoint, type Category, FocusStyleManager, type FontScaleArgs, type FontScaleFunction, type FontScaleFunctionStr, type FontStyle, type FontWeight, type FontWeightDefinition, type Fs, type HeadlineSizes, type LineHeight, type Option, type ScaleUnit, type TextSansSizes, type TitlepieceSizes, type TypographySizes, type TypographyStyles, appearance, article15, article15Object, article17, article17Object, articleBold15, articleBold15Object, articleBold17, articleBold17Object, articleBoldItalic15, articleBoldItalic15Object, articleBoldItalic17, articleBoldItalic17Object, articleItalic15, articleItalic15Object, articleItalic17, articleItalic17Object, background, between, body, bodyObjectStyles, bodySizes, border, brand, brandAlt, brandAltBackground, brandAltBorder, brandAltLine, brandAltText, brandBackground, brandBorder, brandLine, brandText, breakpoints, culture, descriptionId, error, focus, focusHalo, focusHaloSpaced, fontWeights, fonts, from, generateSourceId, headline, headlineBold14, headlineBold14Object, headlineBold17, headlineBold17Object, headlineBold20, headlineBold20Object, headlineBold24, headlineBold24Object, headlineBold28, headlineBold28Object, headlineBold34, headlineBold34Object, headlineBold42, headlineBold42Object, headlineBold50, headlineBold50Object, headlineBold70, headlineBold70Object, headlineLight14, headlineLight14Object, headlineLight17, headlineLight17Object, headlineLight20, headlineLight20Object, headlineLight24, headlineLight24Object, headlineLight28, headlineLight28Object, headlineLight34, headlineLight34Object, headlineLight42, headlineLight42Object, headlineLight50, headlineLight50Object, headlineLight70, headlineLight70Object, headlineLightItalic14, headlineLightItalic14Object, headlineLightItalic17, headlineLightItalic17Object, headlineLightItalic20, headlineLightItalic20Object, headlineLightItalic24, headlineLightItalic24Object, headlineLightItalic28, headlineLightItalic28Object, headlineLightItalic34, headlineLightItalic34Object, headlineLightItalic42, headlineLightItalic42Object, headlineLightItalic50, headlineLightItalic50Object, headlineLightItalic70, headlineLightItalic70Object, headlineMedium14, headlineMedium14Object, headlineMedium17, headlineMedium17Object, headlineMedium20, headlineMedium20Object, headlineMedium24, headlineMedium24Object, headlineMedium28, headlineMedium28Object, headlineMedium34, headlineMedium34Object, headlineMedium42, headlineMedium42Object, headlineMedium50, headlineMedium50Object, headlineMedium70, headlineMedium70Object, headlineMediumItalic14, headlineMediumItalic14Object, headlineMediumItalic17, headlineMediumItalic17Object, headlineMediumItalic20, headlineMediumItalic20Object, headlineMediumItalic24, headlineMediumItalic24Object, headlineMediumItalic28, headlineMediumItalic28Object, headlineMediumItalic34, headlineMediumItalic34Object, headlineMediumItalic42, headlineMediumItalic42Object, headlineMediumItalic50, headlineMediumItalic50Object, headlineMediumItalic70, headlineMediumItalic70Object, headlineObjectStyles, headlineSizes, height, iconSize, labs, lifestyle, line, lineHeights, neutral, news, opinion, palette, pxToRem, remBodySizes, remHeadlineSizes, remHeight, remSpace, remTextSansSizes, remTitlepieceSizes, remWidth, resets, rootPixelFontSize, size, space, specialReport, sport, success, svgBackgroundImage, text, textEgyptian14, textEgyptian14Object, textEgyptian15, textEgyptian15Object, textEgyptian17, textEgyptian17Object, textEgyptianBold14, textEgyptianBold14Object, textEgyptianBold15, textEgyptianBold15Object, textEgyptianBold17, textEgyptianBold17Object, textEgyptianBoldItalic14, textEgyptianBoldItalic14Object, textEgyptianBoldItalic15, textEgyptianBoldItalic15Object, textEgyptianBoldItalic17, textEgyptianBoldItalic17Object, textEgyptianItalic14, textEgyptianItalic14Object, textEgyptianItalic15, textEgyptianItalic15Object, textEgyptianItalic17, textEgyptianItalic17Object, textSans, textSans12, textSans12Object, textSans14, textSans14Object, textSans15, textSans15Object, textSans17, textSans17Object, textSans20, textSans20Object, textSans24, textSans24Object, textSans28, textSans28Object, textSans34, textSans34Object, textSansBold12, textSansBold12Object, textSansBold14, textSansBold14Object, textSansBold15, textSansBold15Object, textSansBold17, textSansBold17Object, textSansBold20, textSansBold20Object, textSansBold24, textSansBold24Object, textSansBold28, textSansBold28Object, textSansBold34, textSansBold34Object, textSansItalic12, textSansItalic12Object, textSansItalic14, textSansItalic14Object, textSansItalic15, textSansItalic15Object, textSansItalic17, textSansItalic17Object, textSansItalic20, textSansItalic20Object, textSansItalic24, textSansItalic24Object, textSansItalic28, textSansItalic28Object, textSansItalic34, textSansItalic34Object, textSansObjectStyles, textSansSizes, titlepiece, titlepiece42, titlepiece42Object, titlepiece50, titlepiece50Object, titlepiece70, titlepiece70Object, titlepieceObjectStyles, titlepieceSizes, transitions, until, visuallyHidden, width };
