import svgToTinyDataUri from 'mini-svg-data-uri';

/**
 * Design Tokens
 * Autogenerated from tokens.json.
 * DO NOT EDIT!
 */

const breakpoint = {
	desktop: '980px',
	leftCol: '1140px',
	mobile: '320px',
	mobileLandscape: '480px',
	mobileMedium: '375px',
	phablet: '660px',
	tablet: '740px',
	wide: '1300px',
};
const palette$1 = {
	brand: {
		100: '#001536',
		300: '#041F4A',
		400: '#052962',
		500: '#0077B6',
		600: '#506991',
		800: '#C1D8FC',
	},
	brandAlt: {
		200: '#F3C100',
		300: '#FFD900',
		400: '#FFE500',
	},
	culture: {
		50: '#2B2625',
		100: '#3E3323',
		200: '#574835',
		300: '#6B5840',
		350: '#866D50',
		400: '#866D50',
		450: '#A1845C',
		500: '#EACCA0',
		600: '#E7D4B9',
		700: '#EFE8DD',
		800: '#FBF6EF',
	},
	error: {
		400: '#C70000',
		500: '#FF9081',
	},
	focus: {
		400: '#0077B6',
	},
	labs: {
		200: '#0C7A73',
		300: '#65A897',
		400: '#69D1CA',
	},
	lifestyle: {
		100: '#510043',
		200: '#650054',
		300: '#7D0068',
		400: '#BB3B80',
		450: '#F37ABC',
		500: '#FFABDB',
		600: '#FEC8D3',
		800: '#FEEEF7',
	},
	neutral: {
		0: '#000000',
		7: '#121212',
		10: '#1A1A1A',
		20: '#333333',
		38: '#606060',
		46: '#707070',
		60: '#999999',
		86: '#DCDCDC',
		93: '#EDEDED',
		97: '#F6F6F6',
		100: '#FFFFFF',
	},
	news: {
		100: '#660505',
		200: '#8B0000',
		300: '#AB0613',
		400: '#C70000',
		500: '#FF5943',
		550: '#FF9081',
		600: '#FFBAC8',
		800: '#FFF4F2',
	},
	opinion: {
		100: '#672005',
		200: '#8D2700',
		300: '#C74600',
		400: '#C74600',
		450: '#E05E00',
		500: '#FF7F0F',
		550: '#FF9941',
		600: '#F9B376',
		800: '#FEF9F5',
	},
	specialReport: {
		100: '#222527',
		200: '#303538',
		300: '#3F464A',
		400: '#595C5F',
		450: '#9DA0A2',
		500: '#ABC2C9',
		700: '#E4E5E8',
		800: '#EFF1F2',
	},
	specialReportAlt: {
		100: '#2B2B2A',
		200: '#B9300A',
		300: '#FF663D',
		700: '#EBE6E1',
		800: '#F5F0EB',
	},
	sport: {
		100: '#003C60',
		200: '#004E7C',
		300: '#005689',
		400: '#0077B6',
		500: '#00B2FF',
		600: '#90DCFF',
		800: '#F1F8FC',
	},
	success: {
		400: '#22874D',
		500: '#58D08B',
	},
};
const size$1 = {
	icon: {
		medium: '30px',
		small: '26px',
		xSmall: '20px',
	},
	medium: '44px',
	small: '36px',
	xSmall: '24px',
};
const space$1 = {
	0: '2px',
	1: '4px',
	2: '8px',
	3: '12px',
	4: '16px',
	5: '20px',
	6: '24px',
	8: '32px',
	9: '36px',
	10: '40px',
	12: '48px',
	14: '56px',
	16: '64px',
	18: '72px',
	24: '96px',
};
const typography = {
	body: {
		medium: {
			fontFamily: [
				'GuardianTextEgyptian',
				'Guardian Text Egyptian Web',
				'Georgia',
				'serif',
			],
			fontSize: '17px',
			lineHeight: 1.4,
			fontWeight: 400,
		},
		small: {
			fontFamily: [
				'GuardianTextEgyptian',
				'Guardian Text Egyptian Web',
				'Georgia',
				'serif',
			],
			fontSize: '15px',
			lineHeight: 1.4,
			fontWeight: 400,
		},
		xSmall: {
			fontFamily: [
				'GuardianTextEgyptian',
				'Guardian Text Egyptian Web',
				'Georgia',
				'serif',
			],
			fontSize: '14px',
			lineHeight: 1.4,
			fontWeight: 400,
		},
	},
	fontFamily: {
		body: [
			'GuardianTextEgyptian',
			'Guardian Text Egyptian Web',
			'Georgia',
			'serif',
		],
		headline: [
			'GH Guardian Headline',
			'Guardian Egyptian Web',
			'Georgia',
			'serif',
		],
		textSans: [
			'GuardianTextSans',
			'Guardian Text Sans Web',
			'Helvetica Neue',
			'Helvetica',
			'Arial',
			'Lucida Grande',
			'sans-serif',
		],
		titlepiece: ['GT Guardian Titlepiece', 'Georgia', 'serif'],
	},
	fontSize: {
		12: '12px',
		14: '14px',
		15: '15px',
		17: '17px',
		20: '20px',
		24: '24px',
		28: '28px',
		34: '34px',
		42: '42px',
		50: '50px',
		70: '70px',
	},
	fontWeight: {
		bold: 700,
		light: 300,
		medium: 500,
		regular: 400,
	},
	headline: {
		large: {
			fontFamily: [
				'GH Guardian Headline',
				'Guardian Egyptian Web',
				'Georgia',
				'serif',
			],
			fontSize: '42px',
			lineHeight: 1.15,
			fontWeight: 500,
		},
		medium: {
			fontFamily: [
				'GH Guardian Headline',
				'Guardian Egyptian Web',
				'Georgia',
				'serif',
			],
			fontSize: '34px',
			lineHeight: 1.15,
			fontWeight: 500,
		},
		small: {
			fontFamily: [
				'GH Guardian Headline',
				'Guardian Egyptian Web',
				'Georgia',
				'serif',
			],
			fontSize: '28px',
			lineHeight: 1.15,
			fontWeight: 500,
		},
		xLarge: {
			fontFamily: [
				'GH Guardian Headline',
				'Guardian Egyptian Web',
				'Georgia',
				'serif',
			],
			fontSize: '50px',
			lineHeight: 1.15,
			fontWeight: 500,
		},
		xSmall: {
			fontFamily: [
				'GH Guardian Headline',
				'Guardian Egyptian Web',
				'Georgia',
				'serif',
			],
			fontSize: '24px',
			lineHeight: 1.15,
			fontWeight: 500,
		},
		xxSmall: {
			fontFamily: [
				'GH Guardian Headline',
				'Guardian Egyptian Web',
				'Georgia',
				'serif',
			],
			fontSize: '20px',
			lineHeight: 1.15,
			fontWeight: 500,
		},
		xxxSmall: {
			fontFamily: [
				'GH Guardian Headline',
				'Guardian Egyptian Web',
				'Georgia',
				'serif',
			],
			fontSize: '17px',
			lineHeight: 1.15,
			fontWeight: 500,
		},
	},
	lineHeight: {
		loose: 1.4,
		regular: 1.3,
		tight: 1.15,
	},
	textDecorationThicknessForFontSize: {
		12: '2px',
		14: '2px',
		15: '2px',
		17: '2px',
		20: '3px',
		24: '3px',
		28: '3px',
		34: '4px',
		42: '5px',
		50: '6px',
		70: '6px',
	},
	textSans: {
		large: {
			fontFamily: [
				'GuardianTextSans',
				'Guardian Text Sans Web',
				'Helvetica Neue',
				'Helvetica',
				'Arial',
				'Lucida Grande',
				'sans-serif',
			],
			fontSize: '20px',
			lineHeight: 1.3,
			fontWeight: 400,
		},
		medium: {
			fontFamily: [
				'GuardianTextSans',
				'Guardian Text Sans Web',
				'Helvetica Neue',
				'Helvetica',
				'Arial',
				'Lucida Grande',
				'sans-serif',
			],
			fontSize: '17px',
			lineHeight: 1.3,
			fontWeight: 400,
		},
		small: {
			fontFamily: [
				'GuardianTextSans',
				'Guardian Text Sans Web',
				'Helvetica Neue',
				'Helvetica',
				'Arial',
				'Lucida Grande',
				'sans-serif',
			],
			fontSize: '15px',
			lineHeight: 1.3,
			fontWeight: 400,
		},
		xLarge: {
			fontFamily: [
				'GuardianTextSans',
				'Guardian Text Sans Web',
				'Helvetica Neue',
				'Helvetica',
				'Arial',
				'Lucida Grande',
				'sans-serif',
			],
			fontSize: '24px',
			lineHeight: 1.3,
			fontWeight: 400,
		},
		xSmall: {
			fontFamily: [
				'GuardianTextSans',
				'Guardian Text Sans Web',
				'Helvetica Neue',
				'Helvetica',
				'Arial',
				'Lucida Grande',
				'sans-serif',
			],
			fontSize: '14px',
			lineHeight: 1.3,
			fontWeight: 400,
		},
		xxLarge: {
			fontFamily: [
				'GuardianTextSans',
				'Guardian Text Sans Web',
				'Helvetica Neue',
				'Helvetica',
				'Arial',
				'Lucida Grande',
				'sans-serif',
			],
			fontSize: '28px',
			lineHeight: 1.3,
			fontWeight: 400,
		},
		xxSmall: {
			fontFamily: [
				'GuardianTextSans',
				'Guardian Text Sans Web',
				'Helvetica Neue',
				'Helvetica',
				'Arial',
				'Lucida Grande',
				'sans-serif',
			],
			fontSize: '12px',
			lineHeight: 1.3,
			fontWeight: 400,
		},
		xxxLarge: {
			fontFamily: [
				'GuardianTextSans',
				'Guardian Text Sans Web',
				'Helvetica Neue',
				'Helvetica',
				'Arial',
				'Lucida Grande',
				'sans-serif',
			],
			fontSize: '34px',
			lineHeight: 1.3,
			fontWeight: 400,
		},
	},
	titlepiece: {
		large: {
			fontFamily: ['GT Guardian Titlepiece', 'Georgia', 'serif'],
			fontSize: '70px',
			lineHeight: 1.15,
			fontWeight: 700,
		},
		medium: {
			fontFamily: ['GT Guardian Titlepiece', 'Georgia', 'serif'],
			fontSize: '50px',
			lineHeight: 1.15,
			fontWeight: 700,
		},
		small: {
			fontFamily: ['GT Guardian Titlepiece', 'Georgia', 'serif'],
			fontSize: '42px',
			lineHeight: 1.15,
			fontWeight: 700,
		},
	},
};

const palette = {
  brand: palette$1.brand,
  brandAlt: palette$1.brandAlt,
  neutral: palette$1.neutral,
  error: palette$1.error,
  success: palette$1.success,
  news: palette$1.news,
  opinion: palette$1.opinion,
  sport: palette$1.sport,
  culture: palette$1.culture,
  lifestyle: palette$1.lifestyle,
  labs: palette$1.labs,
  specialReport: palette$1.specialReport,
  specialReportAlt: palette$1.specialReportAlt,
  focus: palette$1.focus
};

const {
  brand,
  brandAlt,
  neutral,
  error,
  success,
  news,
  opinion,
  sport,
  culture,
  lifestyle,
  labs,
  specialReport,
  focus
} = palette;
const background = {
  primary: palette.neutral[100],
  secondary: palette.neutral[97],
  inverse: palette.neutral[10],
  ctaPrimary: palette.brand[400],
  ctaPrimaryHover: "#234B8A",
  ctaSecondary: palette.brand[800],
  ctaSecondaryHover: "#ACC9F7",
  ctaTertiaryHover: "#E5E5E5",
  input: palette.neutral[100],
  inputChecked: palette.brand[500]
};
const brandBackground = {
  primary: palette.brand[400],
  inputChecked: palette.neutral[100],
  ctaPrimary: palette.neutral[100],
  ctaPrimaryHover: "#E0E0E0",
  ctaSecondary: palette.brand[600],
  ctaSecondaryHover: "#234B8A",
  ctaTertiaryHover: palette.brand[300]
};
const brandAltBackground = {
  primary: palette.brandAlt[400],
  ctaPrimary: palette.neutral[7],
  ctaPrimaryHover: "#454545",
  ctaSecondary: palette.brandAlt[200],
  ctaSecondaryHover: "#F2AE00",
  ctaTertiaryHover: "#FFD213"
};
const border = {
  primary: palette.neutral[60],
  secondary: palette.neutral[86],
  success: palette.success[400],
  error: palette.error[400],
  ctaTertiary: palette.brand[400],
  input: palette.neutral[60],
  inputChecked: palette.brand[500],
  inputHover: palette.brand[500],
  inputActive: palette.brand[500],
  focusHalo: palette.focus[400]
};
const brandBorder = {
  primary: palette.brand[600],
  secondary: palette.brand[600],
  success: palette.success[500],
  error: palette.error[500],
  ctaTertiary: palette.neutral[100],
  input: palette.brand[800],
  inputChecked: palette.neutral[100],
  inputHover: palette.neutral[100]
};
const brandAltBorder = {
  ctaTertiary: palette.neutral[7]
};
const line = {
  primary: palette.neutral[86]
};
const brandLine = {
  primary: palette.brand[600]
};
const brandAltLine = {
  primary: palette.neutral[7]
};
const text = {
  primary: palette.neutral[7],
  supporting: palette.neutral[46],
  success: palette.success[400],
  error: palette.error[400],
  ctaPrimary: palette.neutral[100],
  ctaSecondary: palette.brand[400],
  ctaTertiary: palette.brand[400],
  anchorPrimary: palette.brand[500],
  anchorSecondary: palette.neutral[7],
  userInput: palette.neutral[7],
  inputLabel: palette.neutral[7],
  inputError: palette.neutral[7],
  inputLabelSupporting: palette.neutral[46],
  inputChecked: palette.brand[400],
  //choice card only
  inputHover: palette.brand[400],
  //choice card only
  groupLabel: palette.neutral[7],
  groupLabelSupporting: palette.neutral[46],
  newsInverse: palette.news[550]
};
const brandText = {
  primary: palette.neutral[100],
  supporting: palette.brand[800],
  success: palette.success[500],
  error: palette.error[500],
  ctaPrimary: palette.brand[400],
  ctaSecondary: palette.neutral[100],
  ctaTertiary: palette.neutral[100],
  anchorPrimary: palette.neutral[100],
  anchorPrimaryHover: palette.brandAlt[400],
  userInput: palette.neutral[100],
  inputLabel: palette.neutral[100],
  inputLabelSupporting: palette.brand[800]
};
const brandAltText = {
  primary: palette.neutral[7],
  supporting: palette.neutral[60],
  ctaPrimary: palette.neutral[100],
  ctaSecondary: palette.neutral[7],
  ctaTertiary: palette.neutral[7],
  anchorPrimary: palette.neutral[7]
};

const rootPixelFontSize = 16;
const pxToRem = (px) => px / rootPixelFontSize;
const pxStringToNumber = (px) => Number(px.slice(0, -2));
const fontArrayToString = (fonts) => fonts.map((name) => name.includes(" ") ? `"${name}"` : name).join(", ");

const pxTextSizes = {
  textSans: {
    xxsmall: pxStringToNumber(typography.textSans.xxSmall.fontSize),
    xsmall: pxStringToNumber(typography.textSans.xSmall.fontSize),
    small: pxStringToNumber(typography.textSans.small.fontSize),
    medium: pxStringToNumber(typography.textSans.medium.fontSize),
    large: pxStringToNumber(typography.textSans.large.fontSize),
    xlarge: pxStringToNumber(typography.textSans.xLarge.fontSize),
    xxlarge: pxStringToNumber(typography.textSans.xxLarge.fontSize),
    xxxlarge: pxStringToNumber(typography.textSans.xxxLarge.fontSize)
  },
  body: {
    xsmall: pxStringToNumber(typography.body.xSmall.fontSize),
    small: pxStringToNumber(typography.body.small.fontSize),
    medium: pxStringToNumber(typography.body.medium.fontSize)
  },
  headline: {
    xxxsmall: pxStringToNumber(typography.headline.xxxSmall.fontSize),
    xxsmall: pxStringToNumber(typography.headline.xxSmall.fontSize),
    xsmall: pxStringToNumber(typography.headline.xSmall.fontSize),
    small: pxStringToNumber(typography.headline.small.fontSize),
    medium: pxStringToNumber(typography.headline.medium.fontSize),
    large: pxStringToNumber(typography.headline.large.fontSize),
    xlarge: pxStringToNumber(typography.headline.xLarge.fontSize)
  },
  titlepiece: {
    small: pxStringToNumber(typography.titlepiece.small.fontSize),
    medium: pxStringToNumber(typography.titlepiece.medium.fontSize),
    large: pxStringToNumber(typography.titlepiece.large.fontSize)
  }
};
const remTextSizes = {
  textSans: {
    xxsmall: pxToRem(pxTextSizes.textSans.xxsmall),
    xsmall: pxToRem(pxTextSizes.textSans.xsmall),
    small: pxToRem(pxTextSizes.textSans.small),
    medium: pxToRem(pxTextSizes.textSans.medium),
    large: pxToRem(pxTextSizes.textSans.large),
    xlarge: pxToRem(pxTextSizes.textSans.xlarge),
    xxlarge: pxToRem(pxTextSizes.textSans.xxlarge),
    xxxlarge: pxToRem(pxTextSizes.textSans.xxxlarge)
  },
  body: {
    xsmall: pxToRem(pxTextSizes.body.xsmall),
    small: pxToRem(pxTextSizes.body.small),
    medium: pxToRem(pxTextSizes.body.medium)
  },
  headline: {
    xxxsmall: pxToRem(pxTextSizes.headline.xxxsmall),
    xxsmall: pxToRem(pxTextSizes.headline.xxsmall),
    xsmall: pxToRem(pxTextSizes.headline.xsmall),
    small: pxToRem(pxTextSizes.headline.small),
    medium: pxToRem(pxTextSizes.headline.medium),
    large: pxToRem(pxTextSizes.headline.large),
    xlarge: pxToRem(pxTextSizes.headline.xlarge)
  },
  titlepiece: {
    small: pxToRem(pxTextSizes.titlepiece.small),
    medium: pxToRem(pxTextSizes.titlepiece.medium),
    large: pxToRem(pxTextSizes.titlepiece.large)
  }
};
const fonts = {
  titlepiece: fontArrayToString(typography.fontFamily.titlepiece),
  headline: fontArrayToString(typography.fontFamily.headline),
  body: fontArrayToString(typography.fontFamily.body),
  textSans: fontArrayToString(typography.fontFamily.textSans)
};
const lineHeights = {
  tight: typography.lineHeight.tight,
  regular: typography.lineHeight.regular,
  loose: typography.lineHeight.loose
};
const fontWeights = {
  light: typography.fontWeight.light,
  regular: typography.fontWeight.regular,
  medium: typography.fontWeight.medium,
  bold: typography.fontWeight.bold
};
const availableFontWeights = {
  titlepiece: { bold: true },
  headline: { light: true, medium: true, bold: true },
  body: { regular: true, bold: true },
  textSans: { regular: true, bold: true }
};
const italicsFontWeights = {
  titlepiece: { bold: false },
  headline: { light: true, medium: true, bold: false },
  body: { regular: true, bold: true },
  textSans: { regular: true, bold: false }
};
const underlineThickness = {
  textSans: {
    xxsmall: pxStringToNumber(
      typography.textDecorationThicknessForFontSize[12]
    ),
    xsmall: pxStringToNumber(typography.textDecorationThicknessForFontSize[14]),
    small: pxStringToNumber(typography.textDecorationThicknessForFontSize[15]),
    medium: pxStringToNumber(typography.textDecorationThicknessForFontSize[17]),
    large: pxStringToNumber(typography.textDecorationThicknessForFontSize[20]),
    xlarge: pxStringToNumber(typography.textDecorationThicknessForFontSize[24]),
    xxlarge: pxStringToNumber(
      typography.textDecorationThicknessForFontSize[28]
    ),
    xxxlarge: pxStringToNumber(
      typography.textDecorationThicknessForFontSize[34]
    )
  },
  body: {
    xsmall: pxStringToNumber(typography.textDecorationThicknessForFontSize[14]),
    small: pxStringToNumber(typography.textDecorationThicknessForFontSize[15]),
    medium: pxStringToNumber(typography.textDecorationThicknessForFontSize[17])
  },
  headline: {
    xxxsmall: pxStringToNumber(
      typography.textDecorationThicknessForFontSize[17]
    ),
    xxsmall: pxStringToNumber(
      typography.textDecorationThicknessForFontSize[20]
    ),
    xsmall: pxStringToNumber(typography.textDecorationThicknessForFontSize[24]),
    small: pxStringToNumber(typography.textDecorationThicknessForFontSize[28]),
    medium: pxStringToNumber(typography.textDecorationThicknessForFontSize[34]),
    large: pxStringToNumber(typography.textDecorationThicknessForFontSize[42]),
    xlarge: pxStringToNumber(typography.textDecorationThicknessForFontSize[50])
  },
  titlepiece: {
    small: pxStringToNumber(typography.textDecorationThicknessForFontSize[42]),
    medium: pxStringToNumber(typography.textDecorationThicknessForFontSize[50]),
    large: pxStringToNumber(typography.textDecorationThicknessForFontSize[70])
  }
};
const textSansSizes = pxTextSizes.textSans;
const bodySizes = pxTextSizes.body;
const headlineSizes = pxTextSizes.headline;
const titlepieceSizes = pxTextSizes.titlepiece;
const remBodySizes = remTextSizes.body;
const remTitlepieceSizes = remTextSizes.titlepiece;
const remHeadlineSizes = remTextSizes.headline;
const remTextSansSizes = remTextSizes.textSans;

const determineFontStyleProperty = (fontStyle, hasItalic) => {
  switch (fontStyle) {
    case "italic":
      return hasItalic ? "italic" : void 0;
    case "normal":
      return "normal";
    case null:
    default:
      return void 0;
  }
};
const fontStyleFunction = (category, level, defaults) => (options) => {
  const finalFontConfiguration = {
    ...defaults,
    ...options
  };
  const pxTextSize = Number(pxTextSizes[category][level]);
  const remTextSize = Number(remTextSizes[category][level]);
  const hasItalic = italicsFontWeights[category]?.[finalFontConfiguration.fontWeight] ?? false;
  const isFontWeightAvailable = availableFontWeights[category]?.[finalFontConfiguration.fontWeight] ?? false;
  const fontWeight = isFontWeightAvailable ? fontWeights[finalFontConfiguration.fontWeight] : void 0;
  const lineHeight = finalFontConfiguration.unit === "px" ? `${lineHeights[finalFontConfiguration.lineHeight] * pxTextSize}px` : lineHeights[finalFontConfiguration.lineHeight];
  return {
    lineHeight,
    fontWeight,
    fontSize: finalFontConfiguration.unit === "px" ? pxTextSize : `${remTextSize}rem`,
    fontFamily: fonts[category],
    textDecorationThickness: Number(underlineThickness[category][level]),
    fontStyle: determineFontStyleProperty(
      finalFontConfiguration.fontStyle,
      hasItalic
    )
  };
};
const fontStyleToStringFunction = (typographyFunction) => (options) => {
  const {
    fontFamily,
    fontSize,
    fontStyle,
    fontWeight,
    lineHeight,
    textDecorationThickness
  } = typographyFunction(options);
  return `
			font-family: ${fontFamily};
			font-size: ${typeof fontSize === "number" ? `${fontSize}px` : fontSize};
			line-height: ${lineHeight};
			${fontWeight ? `font-weight: ${fontWeight};` : ""}
			${fontStyle ? `font-style: ${fontStyle};` : ""}
			--source-text-decoration-thickness: ${textDecorationThickness === void 0 ? "auto" : `${textDecorationThickness}px`};
		`;
};

const titlepieceDefaults = {
  lineHeight: "tight",
  fontWeight: "bold",
  fontStyle: null,
  unit: "rem"
};
const titlepieceObjectStyles = {
  small: fontStyleFunction("titlepiece", "small", titlepieceDefaults),
  medium: fontStyleFunction("titlepiece", "medium", titlepieceDefaults),
  large: fontStyleFunction("titlepiece", "large", titlepieceDefaults)
};
const headlineDefaults = {
  lineHeight: "tight",
  fontWeight: "medium",
  fontStyle: null,
  unit: "rem"
};
const headlineObjectStyles = {
  xxxsmall: fontStyleFunction("headline", "xxxsmall", headlineDefaults),
  xxsmall: fontStyleFunction("headline", "xxsmall", headlineDefaults),
  xsmall: fontStyleFunction("headline", "xsmall", headlineDefaults),
  small: fontStyleFunction("headline", "small", headlineDefaults),
  medium: fontStyleFunction("headline", "medium", headlineDefaults),
  large: fontStyleFunction("headline", "large", headlineDefaults),
  xlarge: fontStyleFunction("headline", "xlarge", headlineDefaults)
};
const bodyDefaults = {
  lineHeight: "loose",
  fontWeight: "regular",
  fontStyle: null,
  unit: "rem"
};
const bodyObjectStyles = {
  xsmall: fontStyleFunction("body", "xsmall", bodyDefaults),
  small: fontStyleFunction("body", "small", bodyDefaults),
  medium: fontStyleFunction("body", "medium", bodyDefaults)
};
const textSansDefaults = {
  lineHeight: "regular",
  fontWeight: "regular",
  fontStyle: null,
  unit: "rem"
};
const textSansObjectStyles = {
  xxsmall: fontStyleFunction("textSans", "xxsmall", textSansDefaults),
  xsmall: fontStyleFunction("textSans", "xsmall", textSansDefaults),
  small: fontStyleFunction("textSans", "small", textSansDefaults),
  medium: fontStyleFunction("textSans", "medium", textSansDefaults),
  large: fontStyleFunction("textSans", "large", textSansDefaults),
  xlarge: fontStyleFunction("textSans", "xlarge", textSansDefaults),
  xxlarge: fontStyleFunction("textSans", "xxlarge", textSansDefaults),
  xxxlarge: fontStyleFunction("textSans", "xxxlarge", textSansDefaults)
};

const titlepiece = {
  small: fontStyleToStringFunction(titlepieceObjectStyles.small),
  medium: fontStyleToStringFunction(titlepieceObjectStyles.medium),
  large: fontStyleToStringFunction(titlepieceObjectStyles.large)
};
const headline = {
  xxxsmall: fontStyleToStringFunction(headlineObjectStyles.xxxsmall),
  xxsmall: fontStyleToStringFunction(headlineObjectStyles.xxsmall),
  xsmall: fontStyleToStringFunction(headlineObjectStyles.xsmall),
  small: fontStyleToStringFunction(headlineObjectStyles.small),
  medium: fontStyleToStringFunction(headlineObjectStyles.medium),
  large: fontStyleToStringFunction(headlineObjectStyles.large),
  xlarge: fontStyleToStringFunction(headlineObjectStyles.xlarge)
};
const body = {
  xsmall: fontStyleToStringFunction(bodyObjectStyles.xsmall),
  small: fontStyleToStringFunction(bodyObjectStyles.small),
  medium: fontStyleToStringFunction(bodyObjectStyles.medium)
};
const textSans = {
  xxsmall: fontStyleToStringFunction(textSansObjectStyles.xxsmall),
  xsmall: fontStyleToStringFunction(textSansObjectStyles.xsmall),
  small: fontStyleToStringFunction(textSansObjectStyles.small),
  medium: fontStyleToStringFunction(textSansObjectStyles.medium),
  large: fontStyleToStringFunction(textSansObjectStyles.large),
  xlarge: fontStyleToStringFunction(textSansObjectStyles.xlarge),
  xxlarge: fontStyleToStringFunction(textSansObjectStyles.xxlarge),
  xxxlarge: fontStyleToStringFunction(textSansObjectStyles.xxxlarge)
};

const descriptionId = (id) => `${id}_description`;

const focusHalo = `
 outline: 0;
 html:not(.src-focus-disabled) & {
	 box-shadow: 0 0 0 3px ${palette.focus[400]};
 }
`;
const focusHaloSpaced = `
 outline: 0;
 html:not(.src-focus-disabled) & {
	outline: 5px solid ${palette.focus[400]};
	outline-offset: 3px;
 }
`;

let sourceIdIndex = 0;
const generateSourceId = () => `src-component-${sourceIdIndex++}`;

const visuallyHidden = `
	position: absolute;
	overflow: hidden; /* gets rid of horizontal scrollbar that appears in some circumstances */
	white-space: nowrap; /* The white-space property forces the content to render on one line. */
	width: 1px;  /* ensures content is announced by VoiceOver. */
	height: 1px; /* ensures content is announced by VoiceOver. */
	margin: -1px; /* hide or clip content that does not fit into a 1-pixel visible area. */
	padding: 0; /* hide or clip content that does not fit into a 1-pixel visible area. */
	border: 0;
	clip: rect(1px, 1px, 1px, 1px); /* clip removes any visible trace of the element */
	-webkit-clip-path: inset(50%); /* clip removes any visible trace of the element */
	clip-path: inset(50%); /* clip removes any visible trace of the element */
`;

const transitions = {
  short: ".2s cubic-bezier(.64, .57, .67, 1.53)",
  medium: ".3s ease-in-out",
  long: ".65s ease-in-out"
};

const breakpoints = {
  mobile: pxStringToNumber(breakpoint.mobile),
  mobileMedium: pxStringToNumber(breakpoint.mobileMedium),
  mobileLandscape: pxStringToNumber(breakpoint.mobileLandscape),
  phablet: pxStringToNumber(breakpoint.phablet),
  tablet: pxStringToNumber(breakpoint.tablet),
  desktop: pxStringToNumber(breakpoint.desktop),
  leftCol: pxStringToNumber(breakpoint.leftCol),
  wide: pxStringToNumber(breakpoint.wide)
};

const smidgen = 0.1;
const minWidth = (from2) => `@media (min-width: ${`${from2}px`})`;
const maxWidth = (until2) => `@media (max-width: ${`${until2 - smidgen}px`})`;
const minWidthMaxWidth = (from2, until2) => `@media (min-width: ${`${from2}px`}) and (max-width: ${`${until2 - smidgen}px`})`;
const from = {
  mobile: minWidth(breakpoints.mobile),
  mobileMedium: minWidth(breakpoints.mobileMedium),
  mobileLandscape: minWidth(breakpoints.mobileLandscape),
  phablet: minWidth(breakpoints.phablet),
  tablet: minWidth(breakpoints.tablet),
  desktop: minWidth(breakpoints.desktop),
  leftCol: minWidth(breakpoints.leftCol),
  wide: minWidth(breakpoints.wide)
};
const until = {
  mobile: maxWidth(breakpoints.mobile),
  mobileMedium: maxWidth(breakpoints.mobileMedium),
  mobileLandscape: maxWidth(breakpoints.mobileLandscape),
  phablet: maxWidth(breakpoints.phablet),
  tablet: maxWidth(breakpoints.tablet),
  desktop: maxWidth(breakpoints.desktop),
  leftCol: maxWidth(breakpoints.leftCol),
  wide: maxWidth(breakpoints.wide)
};
const between = {
  mobile: {
    and: {
      mobileMedium: minWidthMaxWidth(
        breakpoints.mobile,
        breakpoints.mobileMedium
      ),
      mobileLandscape: minWidthMaxWidth(
        breakpoints.mobile,
        breakpoints.mobileLandscape
      ),
      phablet: minWidthMaxWidth(breakpoints.mobile, breakpoints.phablet),
      tablet: minWidthMaxWidth(breakpoints.mobile, breakpoints.tablet),
      desktop: minWidthMaxWidth(breakpoints.mobile, breakpoints.desktop),
      leftCol: minWidthMaxWidth(breakpoints.mobile, breakpoints.leftCol),
      wide: minWidthMaxWidth(breakpoints.mobileMedium, breakpoints.wide)
    }
  },
  mobileMedium: {
    and: {
      mobileLandscape: minWidthMaxWidth(
        breakpoints.mobileMedium,
        breakpoints.mobileLandscape
      ),
      phablet: minWidthMaxWidth(breakpoints.mobileMedium, breakpoints.phablet),
      tablet: minWidthMaxWidth(breakpoints.mobileMedium, breakpoints.tablet),
      desktop: minWidthMaxWidth(breakpoints.mobileMedium, breakpoints.desktop),
      leftCol: minWidthMaxWidth(breakpoints.mobileMedium, breakpoints.leftCol),
      wide: minWidthMaxWidth(breakpoints.mobileMedium, breakpoints.wide)
    }
  },
  mobileLandscape: {
    and: {
      phablet: minWidthMaxWidth(
        breakpoints.mobileLandscape,
        breakpoints.phablet
      ),
      tablet: minWidthMaxWidth(breakpoints.mobileLandscape, breakpoints.tablet),
      desktop: minWidthMaxWidth(
        breakpoints.mobileLandscape,
        breakpoints.desktop
      ),
      leftCol: minWidthMaxWidth(
        breakpoints.mobileLandscape,
        breakpoints.leftCol
      ),
      wide: minWidthMaxWidth(breakpoints.mobileLandscape, breakpoints.wide)
    }
  },
  phablet: {
    and: {
      tablet: minWidthMaxWidth(breakpoints.phablet, breakpoints.tablet),
      desktop: minWidthMaxWidth(breakpoints.phablet, breakpoints.desktop),
      leftCol: minWidthMaxWidth(breakpoints.phablet, breakpoints.leftCol),
      wide: minWidthMaxWidth(breakpoints.phablet, breakpoints.wide)
    }
  },
  tablet: {
    and: {
      desktop: minWidthMaxWidth(breakpoints.tablet, breakpoints.desktop),
      leftCol: minWidthMaxWidth(breakpoints.tablet, breakpoints.leftCol),
      wide: minWidthMaxWidth(breakpoints.tablet, breakpoints.wide)
    }
  },
  desktop: {
    and: {
      leftCol: minWidthMaxWidth(breakpoints.desktop, breakpoints.leftCol),
      wide: minWidthMaxWidth(breakpoints.desktop, breakpoints.wide)
    }
  },
  leftCol: {
    and: {
      wide: minWidthMaxWidth(breakpoints.leftCol, breakpoints.wide)
    }
  }
};

const size = {
  xsmall: pxStringToNumber(size$1.xSmall),
  small: pxStringToNumber(size$1.small),
  medium: pxStringToNumber(size$1.medium)
  // meets WCAG 2.1 AAA compliance for touch targets.
};
const remSize = {
  xsmall: pxToRem(size.xsmall),
  small: pxToRem(size.small),
  medium: pxToRem(size.medium)
};
const iconSize = {
  xsmall: pxStringToNumber(size$1.icon.xSmall),
  small: pxStringToNumber(size$1.icon.small),
  medium: pxStringToNumber(size$1.icon.medium)
};
const remIconSize = {
  xsmall: pxToRem(iconSize.xsmall),
  small: pxToRem(iconSize.small),
  medium: pxToRem(iconSize.medium)
};
const height = {
  ctaMedium: size.medium,
  ctaSmall: size.small,
  ctaXsmall: size.xsmall,
  inputMedium: size.medium,
  inputXsmall: size.xsmall,
  iconMedium: iconSize.medium,
  iconSmall: iconSize.small,
  iconXsmall: iconSize.xsmall
};
const remHeight = {
  ctaMedium: remSize.medium,
  ctaSmall: remSize.small,
  ctaXsmall: remSize.xsmall,
  inputMedium: remSize.medium,
  inputXsmall: remSize.xsmall,
  iconMedium: remIconSize.medium,
  iconSmall: remIconSize.small,
  iconXsmall: remIconSize.xsmall
};
const width = {
  ctaMedium: size.medium,
  ctaSmall: size.small,
  ctaXsmall: size.xsmall,
  inputXsmall: size.xsmall,
  iconMedium: iconSize.medium,
  iconSmall: iconSize.small,
  iconXsmall: iconSize.xsmall
};
const remWidth = {
  ctaMedium: remSize.medium,
  ctaSmall: remSize.small,
  ctaXsmall: remSize.xsmall,
  inputXsmall: remSize.xsmall,
  iconMedium: remIconSize.medium,
  iconSmall: remIconSize.small,
  iconXsmall: remIconSize.xsmall
};

const space = {
  0: pxStringToNumber(space$1[0]),
  1: pxStringToNumber(space$1[1]),
  2: pxStringToNumber(space$1[2]),
  3: pxStringToNumber(space$1[3]),
  4: pxStringToNumber(space$1[4]),
  5: pxStringToNumber(space$1[5]),
  6: pxStringToNumber(space$1[6]),
  8: pxStringToNumber(space$1[8]),
  9: pxStringToNumber(space$1[9]),
  10: pxStringToNumber(space$1[10]),
  12: pxStringToNumber(space$1[12]),
  14: pxStringToNumber(space$1[14]),
  16: pxStringToNumber(space$1[16]),
  18: pxStringToNumber(space$1[18]),
  24: pxStringToNumber(space$1[24])
};
const remSpace = {
  0: `${pxToRem(space[0])}rem`,
  1: `${pxToRem(space[1])}rem`,
  2: `${pxToRem(space[2])}rem`,
  3: `${pxToRem(space[3])}rem`,
  4: `${pxToRem(space[4])}rem`,
  5: `${pxToRem(space[5])}rem`,
  6: `${pxToRem(space[6])}rem`,
  8: `${pxToRem(space[8])}rem`,
  9: `${pxToRem(space[9])}rem`,
  10: `${pxToRem(space[10])}rem`,
  12: `${pxToRem(space[12])}rem`,
  14: `${pxToRem(space[14])}rem`,
  16: `${pxToRem(space[16])}rem`,
  18: `${pxToRem(space[18])}rem`,
  24: `${pxToRem(space[24])}rem`
};

const article15 = `
	font-family: GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif;
	font-size: 0.9375rem;
	line-height: 1.4;
	font-weight: 400;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const article17 = `
	font-family: GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif;
	font-size: 1.0625rem;
	line-height: 1.4;
	font-weight: 400;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const articleBold15 = `
	font-family: GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif;
	font-size: 0.9375rem;
	line-height: 1.4;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const articleBold17 = `
	font-family: GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif;
	font-size: 1.0625rem;
	line-height: 1.4;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const articleBoldItalic15 = `
	font-family: GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif;
	font-size: 0.9375rem;
	line-height: 1.4;
	font-weight: 700;
	font-style: italic;
	--source-text-decoration-thickness: 2px;
`;
const articleBoldItalic17 = `
	font-family: GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif;
	font-size: 1.0625rem;
	line-height: 1.4;
	font-weight: 700;
	font-style: italic;
	--source-text-decoration-thickness: 2px;
`;
const articleItalic15 = `
	font-family: GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif;
	font-size: 0.9375rem;
	line-height: 1.4;
	font-weight: 400;
	font-style: italic;
	--source-text-decoration-thickness: 2px;
`;
const articleItalic17 = `
	font-family: GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif;
	font-size: 1.0625rem;
	line-height: 1.4;
	font-weight: 400;
	font-style: italic;
	--source-text-decoration-thickness: 2px;
`;
const headlineBold14 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 0.875rem;
	line-height: 1.15;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const headlineBold17 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 1.0625rem;
	line-height: 1.15;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const headlineBold20 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 1.25rem;
	line-height: 1.15;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 3px;
`;
const headlineBold24 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 1.5rem;
	line-height: 1.15;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 3px;
`;
const headlineBold28 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 1.75rem;
	line-height: 1.15;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 3px;
`;
const headlineBold34 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 2.125rem;
	line-height: 1.15;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 4px;
`;
const headlineBold42 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 2.625rem;
	line-height: 1.15;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 5px;
`;
const headlineBold50 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 3.125rem;
	line-height: 1.15;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 6px;
`;
const headlineBold70 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 4.375rem;
	line-height: 1.15;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 6px;
`;
const headlineLight14 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 0.875rem;
	line-height: 1.15;
	font-weight: 300;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const headlineLight17 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 1.0625rem;
	line-height: 1.15;
	font-weight: 300;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const headlineLight20 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 1.25rem;
	line-height: 1.15;
	font-weight: 300;
	font-style: normal;
	--source-text-decoration-thickness: 3px;
`;
const headlineLight24 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 1.5rem;
	line-height: 1.15;
	font-weight: 300;
	font-style: normal;
	--source-text-decoration-thickness: 3px;
`;
const headlineLight28 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 1.75rem;
	line-height: 1.15;
	font-weight: 300;
	font-style: normal;
	--source-text-decoration-thickness: 3px;
`;
const headlineLight34 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 2.125rem;
	line-height: 1.15;
	font-weight: 300;
	font-style: normal;
	--source-text-decoration-thickness: 4px;
`;
const headlineLight42 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 2.625rem;
	line-height: 1.15;
	font-weight: 300;
	font-style: normal;
	--source-text-decoration-thickness: 5px;
`;
const headlineLight50 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 3.125rem;
	line-height: 1.15;
	font-weight: 300;
	font-style: normal;
	--source-text-decoration-thickness: 6px;
`;
const headlineLight70 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 4.375rem;
	line-height: 1.15;
	font-weight: 300;
	font-style: normal;
	--source-text-decoration-thickness: 6px;
`;
const headlineLightItalic14 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 0.875rem;
	line-height: 1.15;
	font-weight: 300;
	font-style: italic;
	--source-text-decoration-thickness: 2px;
`;
const headlineLightItalic17 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 1.0625rem;
	line-height: 1.15;
	font-weight: 300;
	font-style: italic;
	--source-text-decoration-thickness: 2px;
`;
const headlineLightItalic20 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 1.25rem;
	line-height: 1.15;
	font-weight: 300;
	font-style: italic;
	--source-text-decoration-thickness: 3px;
`;
const headlineLightItalic24 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 1.5rem;
	line-height: 1.15;
	font-weight: 300;
	font-style: italic;
	--source-text-decoration-thickness: 3px;
`;
const headlineLightItalic28 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 1.75rem;
	line-height: 1.15;
	font-weight: 300;
	font-style: italic;
	--source-text-decoration-thickness: 3px;
`;
const headlineLightItalic34 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 2.125rem;
	line-height: 1.15;
	font-weight: 300;
	font-style: italic;
	--source-text-decoration-thickness: 4px;
`;
const headlineLightItalic42 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 2.625rem;
	line-height: 1.15;
	font-weight: 300;
	font-style: italic;
	--source-text-decoration-thickness: 5px;
`;
const headlineLightItalic50 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 3.125rem;
	line-height: 1.15;
	font-weight: 300;
	font-style: italic;
	--source-text-decoration-thickness: 6px;
`;
const headlineLightItalic70 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 4.375rem;
	line-height: 1.15;
	font-weight: 300;
	font-style: italic;
	--source-text-decoration-thickness: 6px;
`;
const headlineMedium14 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 0.875rem;
	line-height: 1.15;
	font-weight: 500;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const headlineMedium17 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 1.0625rem;
	line-height: 1.15;
	font-weight: 500;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const headlineMedium20 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 1.25rem;
	line-height: 1.15;
	font-weight: 500;
	font-style: normal;
	--source-text-decoration-thickness: 3px;
`;
const headlineMedium24 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 1.5rem;
	line-height: 1.15;
	font-weight: 500;
	font-style: normal;
	--source-text-decoration-thickness: 3px;
`;
const headlineMedium28 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 1.75rem;
	line-height: 1.15;
	font-weight: 500;
	font-style: normal;
	--source-text-decoration-thickness: 3px;
`;
const headlineMedium34 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 2.125rem;
	line-height: 1.15;
	font-weight: 500;
	font-style: normal;
	--source-text-decoration-thickness: 4px;
`;
const headlineMedium42 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 2.625rem;
	line-height: 1.15;
	font-weight: 500;
	font-style: normal;
	--source-text-decoration-thickness: 5px;
`;
const headlineMedium50 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 3.125rem;
	line-height: 1.15;
	font-weight: 500;
	font-style: normal;
	--source-text-decoration-thickness: 6px;
`;
const headlineMedium70 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 4.375rem;
	line-height: 1.15;
	font-weight: 500;
	font-style: normal;
	--source-text-decoration-thickness: 6px;
`;
const headlineMediumItalic14 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 0.875rem;
	line-height: 1.15;
	font-weight: 500;
	font-style: italic;
	--source-text-decoration-thickness: 2px;
`;
const headlineMediumItalic17 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 1.0625rem;
	line-height: 1.15;
	font-weight: 500;
	font-style: italic;
	--source-text-decoration-thickness: 2px;
`;
const headlineMediumItalic20 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 1.25rem;
	line-height: 1.15;
	font-weight: 500;
	font-style: italic;
	--source-text-decoration-thickness: 3px;
`;
const headlineMediumItalic24 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 1.5rem;
	line-height: 1.15;
	font-weight: 500;
	font-style: italic;
	--source-text-decoration-thickness: 3px;
`;
const headlineMediumItalic28 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 1.75rem;
	line-height: 1.15;
	font-weight: 500;
	font-style: italic;
	--source-text-decoration-thickness: 3px;
`;
const headlineMediumItalic34 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 2.125rem;
	line-height: 1.15;
	font-weight: 500;
	font-style: italic;
	--source-text-decoration-thickness: 4px;
`;
const headlineMediumItalic42 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 2.625rem;
	line-height: 1.15;
	font-weight: 500;
	font-style: italic;
	--source-text-decoration-thickness: 5px;
`;
const headlineMediumItalic50 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 3.125rem;
	line-height: 1.15;
	font-weight: 500;
	font-style: italic;
	--source-text-decoration-thickness: 6px;
`;
const headlineMediumItalic70 = `
	font-family: "GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif;
	font-size: 4.375rem;
	line-height: 1.15;
	font-weight: 700;
	font-style: italic;
	--source-text-decoration-thickness: 6px;
`;
const textEgyptian14 = `
	font-family: GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif;
	font-size: 0.875rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const textEgyptian15 = `
	font-family: GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif;
	font-size: 0.9375rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const textEgyptian17 = `
	font-family: GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif;
	font-size: 1.0625rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const textEgyptianBold14 = `
	font-family: GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif;
	font-size: 0.875rem;
	line-height: 1.3;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const textEgyptianBold15 = `
	font-family: GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif;
	font-size: 0.9375rem;
	line-height: 1.3;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const textEgyptianBold17 = `
	font-family: GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif;
	font-size: 1.0625rem;
	line-height: 1.3;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const textEgyptianBoldItalic14 = `
	font-family: GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif;
	font-size: 0.875rem;
	line-height: 1.3;
	font-weight: 700;
	font-style: italic;
	--source-text-decoration-thickness: 2px;
`;
const textEgyptianBoldItalic15 = `
	font-family: GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif;
	font-size: 0.9375rem;
	line-height: 1.3;
	font-weight: 700;
	font-style: italic;
	--source-text-decoration-thickness: 2px;
`;
const textEgyptianBoldItalic17 = `
	font-family: GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif;
	font-size: 1.0625rem;
	line-height: 1.3;
	font-weight: 700;
	font-style: italic;
	--source-text-decoration-thickness: 2px;
`;
const textEgyptianItalic14 = `
	font-family: GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif;
	font-size: 0.875rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: italic;
	--source-text-decoration-thickness: 2px;
`;
const textEgyptianItalic15 = `
	font-family: GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif;
	font-size: 0.9375rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: italic;
	--source-text-decoration-thickness: 2px;
`;
const textEgyptianItalic17 = `
	font-family: GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif;
	font-size: 1.0625rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: italic;
	--source-text-decoration-thickness: 2px;
`;
const textSans12 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 0.75rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const textSans14 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 0.875rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const textSans15 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 0.9375rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const textSans17 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 1.0625rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const textSans20 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 1.25rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: normal;
	--source-text-decoration-thickness: 3px;
`;
const textSans24 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 1.5rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: normal;
	--source-text-decoration-thickness: 3px;
`;
const textSans28 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 1.75rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: normal;
	--source-text-decoration-thickness: 3px;
`;
const textSans34 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 2.125rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: normal;
	--source-text-decoration-thickness: 4px;
`;
const textSansBold12 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 0.75rem;
	line-height: 1.3;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const textSansBold14 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 0.875rem;
	line-height: 1.3;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const textSansBold15 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 0.9375rem;
	line-height: 1.3;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const textSansBold17 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 1.0625rem;
	line-height: 1.3;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 2px;
`;
const textSansBold20 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 1.25rem;
	line-height: 1.3;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 3px;
`;
const textSansBold24 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 1.5rem;
	line-height: 1.3;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 3px;
`;
const textSansBold28 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 1.75rem;
	line-height: 1.3;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 3px;
`;
const textSansBold34 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 2.125rem;
	line-height: 1.3;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 4px;
`;
const textSansItalic12 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 0.75rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: italic;
	--source-text-decoration-thickness: 2px;
`;
const textSansItalic14 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 0.875rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: italic;
	--source-text-decoration-thickness: 2px;
`;
const textSansItalic15 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 0.9375rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: italic;
	--source-text-decoration-thickness: 2px;
`;
const textSansItalic17 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 1.0625rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: italic;
	--source-text-decoration-thickness: 2px;
`;
const textSansItalic20 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 1.25rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: italic;
	--source-text-decoration-thickness: 3px;
`;
const textSansItalic24 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 1.5rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: italic;
	--source-text-decoration-thickness: 3px;
`;
const textSansItalic28 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 1.75rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: italic;
	--source-text-decoration-thickness: 3px;
`;
const textSansItalic34 = `
	font-family: GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-size: 2.125rem;
	line-height: 1.3;
	font-weight: 400;
	font-style: italic;
	--source-text-decoration-thickness: 4px;
`;
const titlepiece42 = `
	font-family: "GT Guardian Titlepiece", Georgia, serif;
	font-size: 2.625rem;
	line-height: 1.15;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 5px;
`;
const titlepiece50 = `
	font-family: "GT Guardian Titlepiece", Georgia, serif;
	font-size: 3.125rem;
	line-height: 1.15;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 6px;
`;
const titlepiece70 = `
	font-family: "GT Guardian Titlepiece", Georgia, serif;
	font-size: 4.375rem;
	line-height: 1.15;
	font-weight: 700;
	font-style: normal;
	--source-text-decoration-thickness: 6px;
`;

const article15Object = {
  fontFamily: 'GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif',
  fontSize: "0.9375rem",
  lineHeight: 1.4,
  fontWeight: 400,
  fontStyle: "normal"
};
const article17Object = {
  fontFamily: 'GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif',
  fontSize: "1.0625rem",
  lineHeight: 1.4,
  fontWeight: 400,
  fontStyle: "normal"
};
const articleBold15Object = {
  fontFamily: 'GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif',
  fontSize: "0.9375rem",
  lineHeight: 1.4,
  fontWeight: 700,
  fontStyle: "normal"
};
const articleBold17Object = {
  fontFamily: 'GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif',
  fontSize: "1.0625rem",
  lineHeight: 1.4,
  fontWeight: 700,
  fontStyle: "normal"
};
const articleBoldItalic15Object = {
  fontFamily: 'GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif',
  fontSize: "0.9375rem",
  lineHeight: 1.4,
  fontWeight: 700,
  fontStyle: "italic"
};
const articleBoldItalic17Object = {
  fontFamily: 'GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif',
  fontSize: "1.0625rem",
  lineHeight: 1.4,
  fontWeight: 700,
  fontStyle: "italic"
};
const articleItalic15Object = {
  fontFamily: 'GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif',
  fontSize: "0.9375rem",
  lineHeight: 1.4,
  fontWeight: 400,
  fontStyle: "italic"
};
const articleItalic17Object = {
  fontFamily: 'GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif',
  fontSize: "1.0625rem",
  lineHeight: 1.4,
  fontWeight: 400,
  fontStyle: "italic"
};
const headlineBold14Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "0.875rem",
  lineHeight: 1.15,
  fontWeight: 700,
  fontStyle: "normal"
};
const headlineBold17Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "1.0625rem",
  lineHeight: 1.15,
  fontWeight: 700,
  fontStyle: "normal"
};
const headlineBold20Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "1.25rem",
  lineHeight: 1.15,
  fontWeight: 700,
  fontStyle: "normal"
};
const headlineBold24Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "1.5rem",
  lineHeight: 1.15,
  fontWeight: 700,
  fontStyle: "normal"
};
const headlineBold28Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "1.75rem",
  lineHeight: 1.15,
  fontWeight: 700,
  fontStyle: "normal"
};
const headlineBold34Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "2.125rem",
  lineHeight: 1.15,
  fontWeight: 700,
  fontStyle: "normal"
};
const headlineBold42Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "2.625rem",
  lineHeight: 1.15,
  fontWeight: 700,
  fontStyle: "normal"
};
const headlineBold50Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "3.125rem",
  lineHeight: 1.15,
  fontWeight: 700,
  fontStyle: "normal"
};
const headlineBold70Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "4.375rem",
  lineHeight: 1.15,
  fontWeight: 700,
  fontStyle: "normal"
};
const headlineLight14Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "0.875rem",
  lineHeight: 1.15,
  fontWeight: 300,
  fontStyle: "normal"
};
const headlineLight17Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "1.0625rem",
  lineHeight: 1.15,
  fontWeight: 300,
  fontStyle: "normal"
};
const headlineLight20Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "1.25rem",
  lineHeight: 1.15,
  fontWeight: 300,
  fontStyle: "normal"
};
const headlineLight24Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "1.5rem",
  lineHeight: 1.15,
  fontWeight: 300,
  fontStyle: "normal"
};
const headlineLight28Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "1.75rem",
  lineHeight: 1.15,
  fontWeight: 300,
  fontStyle: "normal"
};
const headlineLight34Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "2.125rem",
  lineHeight: 1.15,
  fontWeight: 300,
  fontStyle: "normal"
};
const headlineLight42Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "2.625rem",
  lineHeight: 1.15,
  fontWeight: 300,
  fontStyle: "normal"
};
const headlineLight50Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "3.125rem",
  lineHeight: 1.15,
  fontWeight: 300,
  fontStyle: "normal"
};
const headlineLight70Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "4.375rem",
  lineHeight: 1.15,
  fontWeight: 300,
  fontStyle: "normal"
};
const headlineLightItalic14Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "0.875rem",
  lineHeight: 1.15,
  fontWeight: 300,
  fontStyle: "italic"
};
const headlineLightItalic17Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "1.0625rem",
  lineHeight: 1.15,
  fontWeight: 300,
  fontStyle: "italic"
};
const headlineLightItalic20Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "1.25rem",
  lineHeight: 1.15,
  fontWeight: 300,
  fontStyle: "italic"
};
const headlineLightItalic24Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "1.5rem",
  lineHeight: 1.15,
  fontWeight: 300,
  fontStyle: "italic"
};
const headlineLightItalic28Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "1.75rem",
  lineHeight: 1.15,
  fontWeight: 300,
  fontStyle: "italic"
};
const headlineLightItalic34Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "2.125rem",
  lineHeight: 1.15,
  fontWeight: 300,
  fontStyle: "italic"
};
const headlineLightItalic42Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "2.625rem",
  lineHeight: 1.15,
  fontWeight: 300,
  fontStyle: "italic"
};
const headlineLightItalic50Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "3.125rem",
  lineHeight: 1.15,
  fontWeight: 300,
  fontStyle: "italic"
};
const headlineLightItalic70Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "4.375rem",
  lineHeight: 1.15,
  fontWeight: 300,
  fontStyle: "italic"
};
const headlineMedium14Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "0.875rem",
  lineHeight: 1.15,
  fontWeight: 500,
  fontStyle: "normal"
};
const headlineMedium17Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "1.0625rem",
  lineHeight: 1.15,
  fontWeight: 500,
  fontStyle: "normal"
};
const headlineMedium20Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "1.25rem",
  lineHeight: 1.15,
  fontWeight: 500,
  fontStyle: "normal"
};
const headlineMedium24Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "1.5rem",
  lineHeight: 1.15,
  fontWeight: 500,
  fontStyle: "normal"
};
const headlineMedium28Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "1.75rem",
  lineHeight: 1.15,
  fontWeight: 500,
  fontStyle: "normal"
};
const headlineMedium34Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "2.125rem",
  lineHeight: 1.15,
  fontWeight: 500,
  fontStyle: "normal"
};
const headlineMedium42Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "2.625rem",
  lineHeight: 1.15,
  fontWeight: 500,
  fontStyle: "normal"
};
const headlineMedium50Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "3.125rem",
  lineHeight: 1.15,
  fontWeight: 500,
  fontStyle: "normal"
};
const headlineMedium70Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "4.375rem",
  lineHeight: 1.15,
  fontWeight: 500,
  fontStyle: "normal"
};
const headlineMediumItalic14Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "0.875rem",
  lineHeight: 1.15,
  fontWeight: 500,
  fontStyle: "italic"
};
const headlineMediumItalic17Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "1.0625rem",
  lineHeight: 1.15,
  fontWeight: 500,
  fontStyle: "italic"
};
const headlineMediumItalic20Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "1.25rem",
  lineHeight: 1.15,
  fontWeight: 500,
  fontStyle: "italic"
};
const headlineMediumItalic24Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "1.5rem",
  lineHeight: 1.15,
  fontWeight: 500,
  fontStyle: "italic"
};
const headlineMediumItalic28Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "1.75rem",
  lineHeight: 1.15,
  fontWeight: 500,
  fontStyle: "italic"
};
const headlineMediumItalic34Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "2.125rem",
  lineHeight: 1.15,
  fontWeight: 500,
  fontStyle: "italic"
};
const headlineMediumItalic42Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "2.625rem",
  lineHeight: 1.15,
  fontWeight: 500,
  fontStyle: "italic"
};
const headlineMediumItalic50Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "3.125rem",
  lineHeight: 1.15,
  fontWeight: 500,
  fontStyle: "italic"
};
const headlineMediumItalic70Object = {
  fontFamily: '"GH Guardian Headline", "Guardian Egyptian Web", Georgia, serif',
  fontSize: "4.375rem",
  lineHeight: 1.15,
  fontWeight: 700,
  fontStyle: "italic"
};
const textEgyptian14Object = {
  fontFamily: 'GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif',
  fontSize: "0.875rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "normal"
};
const textEgyptian15Object = {
  fontFamily: 'GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif',
  fontSize: "0.9375rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "normal"
};
const textEgyptian17Object = {
  fontFamily: 'GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif',
  fontSize: "1.0625rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "normal"
};
const textEgyptianBold14Object = {
  fontFamily: 'GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif',
  fontSize: "0.875rem",
  lineHeight: 1.3,
  fontWeight: 700,
  fontStyle: "normal"
};
const textEgyptianBold15Object = {
  fontFamily: 'GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif',
  fontSize: "0.9375rem",
  lineHeight: 1.3,
  fontWeight: 700,
  fontStyle: "normal"
};
const textEgyptianBold17Object = {
  fontFamily: 'GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif',
  fontSize: "1.0625rem",
  lineHeight: 1.3,
  fontWeight: 700,
  fontStyle: "normal"
};
const textEgyptianBoldItalic14Object = {
  fontFamily: 'GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif',
  fontSize: "0.875rem",
  lineHeight: 1.3,
  fontWeight: 700,
  fontStyle: "italic"
};
const textEgyptianBoldItalic15Object = {
  fontFamily: 'GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif',
  fontSize: "0.9375rem",
  lineHeight: 1.3,
  fontWeight: 700,
  fontStyle: "italic"
};
const textEgyptianBoldItalic17Object = {
  fontFamily: 'GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif',
  fontSize: "1.0625rem",
  lineHeight: 1.3,
  fontWeight: 700,
  fontStyle: "italic"
};
const textEgyptianItalic14Object = {
  fontFamily: 'GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif',
  fontSize: "0.875rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "italic"
};
const textEgyptianItalic15Object = {
  fontFamily: 'GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif',
  fontSize: "0.9375rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "italic"
};
const textEgyptianItalic17Object = {
  fontFamily: 'GuardianTextEgyptian, "Guardian Text Egyptian Web", Georgia, serif',
  fontSize: "1.0625rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "italic"
};
const textSans12Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "0.75rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "normal"
};
const textSans14Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "0.875rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "normal"
};
const textSans15Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "0.9375rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "normal"
};
const textSans17Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "1.0625rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "normal"
};
const textSans20Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "1.25rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "normal"
};
const textSans24Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "1.5rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "normal"
};
const textSans28Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "1.75rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "normal"
};
const textSans34Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "2.125rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "normal"
};
const textSansBold12Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "0.75rem",
  lineHeight: 1.3,
  fontWeight: 700,
  fontStyle: "normal"
};
const textSansBold14Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "0.875rem",
  lineHeight: 1.3,
  fontWeight: 700,
  fontStyle: "normal"
};
const textSansBold15Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "0.9375rem",
  lineHeight: 1.3,
  fontWeight: 700,
  fontStyle: "normal"
};
const textSansBold17Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "1.0625rem",
  lineHeight: 1.3,
  fontWeight: 700,
  fontStyle: "normal"
};
const textSansBold20Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "1.25rem",
  lineHeight: 1.3,
  fontWeight: 700,
  fontStyle: "normal"
};
const textSansBold24Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "1.5rem",
  lineHeight: 1.3,
  fontWeight: 700,
  fontStyle: "normal"
};
const textSansBold28Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "1.75rem",
  lineHeight: 1.3,
  fontWeight: 700,
  fontStyle: "normal"
};
const textSansBold34Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "2.125rem",
  lineHeight: 1.3,
  fontWeight: 700,
  fontStyle: "normal"
};
const textSansItalic12Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "0.75rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "italic"
};
const textSansItalic14Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "0.875rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "italic"
};
const textSansItalic15Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "0.9375rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "italic"
};
const textSansItalic17Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "1.0625rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "italic"
};
const textSansItalic20Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "1.25rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "italic"
};
const textSansItalic24Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "1.5rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "italic"
};
const textSansItalic28Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "1.75rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "italic"
};
const textSansItalic34Object = {
  fontFamily: 'GuardianTextSans, "Guardian Text Sans Web", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif',
  fontSize: "2.125rem",
  lineHeight: 1.3,
  fontWeight: 400,
  fontStyle: "italic"
};
const titlepiece42Object = {
  fontFamily: '"GT Guardian Titlepiece", Georgia, serif',
  fontSize: "2.625rem",
  lineHeight: 1.15,
  fontWeight: 700,
  fontStyle: "normal"
};
const titlepiece50Object = {
  fontFamily: '"GT Guardian Titlepiece", Georgia, serif',
  fontSize: "3.125rem",
  lineHeight: 1.15,
  fontWeight: 700,
  fontStyle: "normal"
};
const titlepiece70Object = {
  fontFamily: '"GT Guardian Titlepiece", Georgia, serif',
  fontSize: "4.375rem",
  lineHeight: 1.15,
  fontWeight: 700,
  fontStyle: "normal"
};

const appearance = "(appearance: none) or (-webkit-appearance: none) or (-moz-appearance: none)";

const TAB_KEY_CODE = 9;
class InteractionModeEngine {
  constructor(container, className) {
    this.container = container;
    this.className = className;
  }
  isRunning = false;
  /** Returns whether the engine is currently running. */
  isActive() {
    return this.isRunning;
  }
  /** Enable behavior which applies the given className when in mouse mode. */
  start() {
    this.container.addEventListener("mousedown", this.handleMouseDown);
    this.isRunning = true;
  }
  /** Disable interaction mode behavior and remove className from container. */
  stop() {
    this.reset();
    this.isRunning = false;
  }
  reset() {
    this.container.classList.remove(this.className);
    this.container.removeEventListener(
      "keydown",
      this.handleKeyDown
    );
    this.container.removeEventListener("mousedown", this.handleMouseDown);
  }
  handleKeyDown = (e) => {
    if (e.which === TAB_KEY_CODE) {
      this.reset();
      this.container.addEventListener("mousedown", this.handleMouseDown);
    }
  };
  handleMouseDown = () => {
    this.reset();
    this.container.classList.add(this.className);
    this.container.addEventListener(
      "keydown",
      this.handleKeyDown
    );
  };
}
const FOCUS_DISABLED = "src-focus-disabled";
let _focusEngine;
const focusEngine = () => {
  if (!_focusEngine) {
    _focusEngine = new InteractionModeEngine(
      document.documentElement,
      FOCUS_DISABLED
    );
  }
  return _focusEngine;
};
const FocusStyleManager = {
  alwaysShowFocus: () => focusEngine().stop(),
  isActive: () => focusEngine().isActive(),
  onlyShowFocusOnTabs: () => focusEngine().start()
};

const legend = `
	padding: 0;
`;
const fieldset = `
	border: 0;
	padding: 0;
	margin: 0;
`;
const input = `
	&:invalid {
		box-shadow: none;
	}
`;
const defaults = `
	*, *:before, *:after {
        box-sizing: border-box;
    }
    html {
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        /* always show the vertical scroll bar to stop the page
         * jumping about when navigating between pages where
         * one has content shorter than the viewport */
        overflow-y: scroll;
    }
    html, body {
        text-rendering: optimizeLegibility;
        font-feature-settings: 'kern';
        font-kerning: normal; /* Safari 7+, Firefox 24+, Chrome 33(?)+, Opera 21 */
        font-variant-ligatures: common-ligatures;
    }
    body {
        background-color: ${palette.neutral[100]};
        color: ${palette.neutral[7]};
    }
    em {
        font-style: italic;
    }
`;
const resetCSS = `
	html, body, div, span, applet, object, iframe,
	h1, h2, h3, h4, h5, h6, p, blockquote, pre,
	a, abbr, acronym, address, big, cite, code,
	del, dfn, em, img, ins, kbd, q, s, samp,
	small, strike, strong, sub, sup, tt, var,
	b, u, i, center,
	dl, dt, dd, menu, ol, ul, li,
	fieldset, form, label, legend,
	table, caption, tbody, tfoot, thead, tr, th, td,
	article, aside, canvas, details, embed,
	figure, figcaption, footer, header, hgroup,
	main, menu, nav, output, ruby, section, summary,
	time, mark, audio, video {
		margin: 0;
		padding: 0;
		border: 0;
		font-size: 100%;
		font: inherit;
		vertical-align: baseline;
	}
	/* HTML5 display-role reset for older browsers */
	article, aside, details, figcaption, figure,
	footer, header, hgroup, main, menu, nav, section {
		display: block;
	}
	/* HTML5 hidden-attribute fix for newer browsers */
	*[hidden] {
		display: none;
	}
	body {
		line-height: 1;
	}
	menu, ol, ul {
		list-style: none;
	}
	blockquote, q {
		quotes: none;
	}
	blockquote:before, blockquote:after,
	q:before, q:after {
		content: '';
		content: none;
	}
	table {
		border-collapse: collapse;
		border-spacing: 0;
	}

	${defaults}
`;
const resets = {
  legend,
  fieldset,
  /** @deprecated This will be removed in a future release, as it relies on the Emotion framework */
  input,
  defaults,
  resetCSS
};

const svgBackgroundImage = (svg) => {
  return `url("${svgToTinyDataUri(svg.replace(/\s\s+/g, " "))}")`;
};

export { FocusStyleManager, appearance, article15, article15Object, article17, article17Object, articleBold15, articleBold15Object, articleBold17, articleBold17Object, articleBoldItalic15, articleBoldItalic15Object, articleBoldItalic17, articleBoldItalic17Object, articleItalic15, articleItalic15Object, articleItalic17, articleItalic17Object, background, between, body, bodyObjectStyles, bodySizes, border, brand, brandAlt, brandAltBackground, brandAltBorder, brandAltLine, brandAltText, brandBackground, brandBorder, brandLine, brandText, breakpoints, culture, descriptionId, error, focus, focusHalo, focusHaloSpaced, fontWeights, fonts, from, generateSourceId, headline, headlineBold14, headlineBold14Object, headlineBold17, headlineBold17Object, headlineBold20, headlineBold20Object, headlineBold24, headlineBold24Object, headlineBold28, headlineBold28Object, headlineBold34, headlineBold34Object, headlineBold42, headlineBold42Object, headlineBold50, headlineBold50Object, headlineBold70, headlineBold70Object, headlineLight14, headlineLight14Object, headlineLight17, headlineLight17Object, headlineLight20, headlineLight20Object, headlineLight24, headlineLight24Object, headlineLight28, headlineLight28Object, headlineLight34, headlineLight34Object, headlineLight42, headlineLight42Object, headlineLight50, headlineLight50Object, headlineLight70, headlineLight70Object, headlineLightItalic14, headlineLightItalic14Object, headlineLightItalic17, headlineLightItalic17Object, headlineLightItalic20, headlineLightItalic20Object, headlineLightItalic24, headlineLightItalic24Object, headlineLightItalic28, headlineLightItalic28Object, headlineLightItalic34, headlineLightItalic34Object, headlineLightItalic42, headlineLightItalic42Object, headlineLightItalic50, headlineLightItalic50Object, headlineLightItalic70, headlineLightItalic70Object, headlineMedium14, headlineMedium14Object, headlineMedium17, headlineMedium17Object, headlineMedium20, headlineMedium20Object, headlineMedium24, headlineMedium24Object, headlineMedium28, headlineMedium28Object, headlineMedium34, headlineMedium34Object, headlineMedium42, headlineMedium42Object, headlineMedium50, headlineMedium50Object, headlineMedium70, headlineMedium70Object, headlineMediumItalic14, headlineMediumItalic14Object, headlineMediumItalic17, headlineMediumItalic17Object, headlineMediumItalic20, headlineMediumItalic20Object, headlineMediumItalic24, headlineMediumItalic24Object, headlineMediumItalic28, headlineMediumItalic28Object, headlineMediumItalic34, headlineMediumItalic34Object, headlineMediumItalic42, headlineMediumItalic42Object, headlineMediumItalic50, headlineMediumItalic50Object, headlineMediumItalic70, headlineMediumItalic70Object, headlineObjectStyles, headlineSizes, height, iconSize, labs, lifestyle, line, lineHeights, neutral, news, opinion, palette, pxToRem, remBodySizes, remHeadlineSizes, remHeight, remSpace, remTextSansSizes, remTitlepieceSizes, remWidth, resets, rootPixelFontSize, size, space, specialReport, sport, success, svgBackgroundImage, text, textEgyptian14, textEgyptian14Object, textEgyptian15, textEgyptian15Object, textEgyptian17, textEgyptian17Object, textEgyptianBold14, textEgyptianBold14Object, textEgyptianBold15, textEgyptianBold15Object, textEgyptianBold17, textEgyptianBold17Object, textEgyptianBoldItalic14, textEgyptianBoldItalic14Object, textEgyptianBoldItalic15, textEgyptianBoldItalic15Object, textEgyptianBoldItalic17, textEgyptianBoldItalic17Object, textEgyptianItalic14, textEgyptianItalic14Object, textEgyptianItalic15, textEgyptianItalic15Object, textEgyptianItalic17, textEgyptianItalic17Object, textSans, textSans12, textSans12Object, textSans14, textSans14Object, textSans15, textSans15Object, textSans17, textSans17Object, textSans20, textSans20Object, textSans24, textSans24Object, textSans28, textSans28Object, textSans34, textSans34Object, textSansBold12, textSansBold12Object, textSansBold14, textSansBold14Object, textSansBold15, textSansBold15Object, textSansBold17, textSansBold17Object, textSansBold20, textSansBold20Object, textSansBold24, textSansBold24Object, textSansBold28, textSansBold28Object, textSansBold34, textSansBold34Object, textSansItalic12, textSansItalic12Object, textSansItalic14, textSansItalic14Object, textSansItalic15, textSansItalic15Object, textSansItalic17, textSansItalic17Object, textSansItalic20, textSansItalic20Object, textSansItalic24, textSansItalic24Object, textSansItalic28, textSansItalic28Object, textSansItalic34, textSansItalic34Object, textSansObjectStyles, textSansSizes, titlepiece, titlepiece42, titlepiece42Object, titlepiece50, titlepiece50Object, titlepiece70, titlepiece70Object, titlepieceObjectStyles, titlepieceSizes, transitions, until, visuallyHidden, width };
